Feed for discussion PkgInfo in project QNX Community pkgsrc Project. http://community.qnx.com/sf/discussion/do/listTopics/projects.pkgsrc/discussion.pkginfo Posts for PkgInfo post120977: Re: smartmontools availiable? http://community.qnx.com/sf/go/post120977 Hey Stefan, What arguments did you supply to ./configure in order to compile for QNX host? My build machine is running linux, and I am trying to compile for QNX7.0 Thanks for your time! Alex Wed, 30 Sep 2020 20:18:27 GMT http://community.qnx.com/sf/go/post120977 Alex Martir 2020-09-30T20:18:27Z post118949: xpdf for Qnx 6.6 http://community.qnx.com/sf/go/post118949 Hello all ! I wanted to use the xpdf library under Qnx 6.6...has anyone achieved the compilation of the library ? All the best Paul Thu, 12 Jul 2018 08:05:26 GMT http://community.qnx.com/sf/go/post118949 Thilloy Paul(deleted) 2018-07-12T08:05:26Z post118357: libdbus availability http://community.qnx.com/sf/go/post118357 Hi Is libdbus available in pkgsrc community . If not and what are the steps to port it on QNX. Regards Nitin Thu, 11 Jan 2018 08:35:58 GMT http://community.qnx.com/sf/go/post118357 Sidharth Priyadarshan(deleted) 2018-01-11T08:35:58Z post116508: Re: google protobuf http://community.qnx.com/sf/go/post116508 Hello,do you get it? I want do do this ,may be nanoprobuf Sat, 02 Jul 2016 10:27:33 GMT http://community.qnx.com/sf/go/post116508 bo bo(deleted) 2016-07-02T10:27:33Z post115419: Git-2.6.4 http://community.qnx.com/sf/go/post115419 I think the support for the latest Git on QNX 6.4.0 through 6.6.0 would be beneficial to all those who are developing using QNX. Moreover, it would allow for greater access to all the great FOSS out there. Danny Wed, 06 Jan 2016 16:30:36 GMT http://community.qnx.com/sf/go/post115419 Danny Yen(deleted) 2016-01-06T16:30:36Z post114281: apache24 configure blocks at Checking OpenSSL... http://community.qnx.com/sf/go/post114281 Hi, My building environment: OS: x86 QNX 6.5.0 SP1 Virtual Machine pkgsrc: HEAD_650 While building apache24, the configuration process always blocks at the following: =================Configure output====================== checking whether to enable mod_ssl... checking dependencies checking for OpenSSL... checking for user-provided OpenSSL base directory... /usr =================Configure output====================== And it blocks for eternity until my VM runs out of memory. I did some investigation and found that the configuration blocks by below script line within www/apache24/work/httpd-2.4.4/configure: 23719 ap_openssl_libs="`$PKGCONFIG $PKGCONFIG_LIBOPTS --libs-only-l --silence-errors openssl`" It seems the $PKGCONFIG tool is doing something and never returning. One information is that I also tried to build apache24 in QNX6.5.0 (Without SP1), it does not have this problem. Thanks for any help! Randy Tue, 18 Aug 2015 12:49:40 GMT http://community.qnx.com/sf/go/post114281 Zhiying Xiang(deleted) 2015-08-18T12:49:40Z post112819: Re: building s5ipc-0.1 for != x86 http://community.qnx.com/sf/go/post112819 Thanks so much! That was quick to do on your behalf and slow to thank on my behalf :-) Mon, 05 Jan 2015 14:21:34 GMT http://community.qnx.com/sf/go/post112819 Danny Clark(deleted) 2015-01-05T14:21:34Z post112719: Re: building s5ipc-0.1 for != x86 http://community.qnx.com/sf/go/post112719 > > > > On Mon, Dec 15, 2014 at 07:47:28PM -0500, Daniel J Clark wrote: > > It uses a lot of build system magic. The build system is x86-specific. I got > it > > to build on arm for arm by doing a lot of ugly things. A lot of symlinks > > outside the pkgsrc dir. Renaming directories and small edits to files in the > > > pkgsrc dir. > > > > I am interested in learning about pkgsrc, but if anyone could easily make > the > > build not architecture specific, or just has comments on it in general, > that'd > > be great. I'm not even sure the magic is all coming from pkgsrc. > > I'll try to fix this up in the near future. > > -seanb Should be fixed on the HEAD_660 branch. I've also updated the wiki for pkgsrc on 660 (new archive to emulate the tools). Wed, 17 Dec 2014 19:08:08 GMT http://community.qnx.com/sf/go/post112719 Sean Boudreau 2014-12-17T19:08:08Z post112700: Re: building s5ipc-0.1 for != x86 http://community.qnx.com/sf/go/post112700 On Mon, Dec 15, 2014 at 07:47:28PM -0500, Daniel J Clark wrote: > It uses a lot of build system magic. The build system is x86-specific. I got it > to build on arm for arm by doing a lot of ugly things. A lot of symlinks > outside the pkgsrc dir. Renaming directories and small edits to files in the > pkgsrc dir. > > I am interested in learning about pkgsrc, but if anyone could easily make the > build not architecture specific, or just has comments on it in general, that'd > be great. I'm not even sure the magic is all coming from pkgsrc. I'll try to fix this up in the near future. -seanb Tue, 16 Dec 2014 15:54:09 GMT http://community.qnx.com/sf/go/post112700 Sean Boudreau 2014-12-16T15:54:09Z post112688: building s5ipc-0.1 for != x86 http://community.qnx.com/sf/go/post112688 Sorry if this is a duplicate. I tried posting via the web interface, but it seems to have just deleted what I wrote without posting. The pkgsrc/sysutils/s5ipc package is a qnx-specific System V IPC implementation - or as pkg_info says: Library and QNX Resource Manager to support SysV ipc - The package implement the sysv ipc(shm, sem, msg) on QNX6. It includes headers, lib and a resmgr. shm.h etc. It's packaged by (and perhaps also written by) Sean. Lots of other packages depend on s5ipc. It uses a lot of build system magic. The build system is x86-specific. I got it to build on arm for arm by doing a lot of ugly things. A lot of symlinks outside the pkgsrc dir. Renaming directories and small edits to files in the pkgsrc dir. I am interested in learning about pkgsrc, but if anyone could easily make the build not architecture specific, or just has comments on it in general, that'd be great. I'm not even sure the magic is all coming from pkgsrc. Thanks, -Danny Tue, 16 Dec 2014 00:47:57 GMT http://community.qnx.com/sf/go/post112688 Danny Clark(deleted) 2014-12-16T00:47:57Z post112490: Re: Midnight Commander for QNX 6.4? http://community.qnx.com/sf/go/post112490 Hi, today I managed to compile mc46 by following: Compile glib2 giving NULL-returning missing functions (see attachment) and then compiling with old glib: http://community.qnx.com/sf/discussion/do/listPosts/projects.pkgsrc/discussion.general.topc21631?pageSize=-1#post_post92065 THT, Gianluca Mon, 01 Dec 2014 14:35:57 GMT http://community.qnx.com/sf/go/post112490 Gianluca Angelici(deleted) 2014-12-01T14:35:57Z post112423: Midnight Commander for QNX 6.4? http://community.qnx.com/sf/go/post112423 Hi Sean, I'm running qnxsdp-6.4.0-200810211530 and I'm struggling against sysutils/mc compilation I followed the instructions here: http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/Bootstrap setting http://community.qnx.com/svn/repos/pkgsrc/HEAD_640 Success. But when I've come to compile glib2 I had this issue: http://community.qnx.com/sf/go/projects.pkgsrc/discussion.general.topc9551?_pagenum=1: gunixmounts.c:636:2: error: #error No _g_get_unix_mounts() implementation for system gunixmounts.c:1016:2: error: #error No g_get_mount_table() implementation for system I set http://community.qnx.com/svn/repos/pkgsrc/HEAD_641 Same problem. Any advice? Thanks in advance, Gianluca Tue, 25 Nov 2014 09:01:52 GMT http://community.qnx.com/sf/go/post112423 Gianluca Angelici(deleted) 2014-11-25T09:01:52Z post109996: RE: 6.6 options? http://community.qnx.com/sf/go/post109996 Create a projet_config.jam file: import option ; import feature ; using qcc ; project : default-build <toolset>qcc ; libraries = --without-python --without-wave --without-timer --without-mpi --without-log --without-locale --without-iostreams --without-graph --without-graph_parallel --without-exception --without-coroutine --without-context --without-atomic --without-chrono ; option.set prefix : /home/username/cross/usr/local/boost_1_55_0_660 ; option.set exec-prefix : /home/ username /cross/usr/local/boost_1_55_0_660/bin ; option.set libdir : /home/ username /cross/usr/local/boost_1_55_0_660/lib ; option.set includedir : /home/ username /cross/usr/local/boost_1_55_0_660/include ; option.set keep-going : false ; ==== ./bootstrap.sh ./bjam -j`nproc` threading=multi install > -----Message d'origine----- > De : Andy Rhind [mailto:community-noreply@qnx.com] > Envoyé : 8 avril 2014 21:40 > À : pkginfo-pkgsrc > Objet : Re: 6.6 options? > > Sean: > > Thanks for this, pkgsrc is too good resource to loose. Much appreciated. > > Andy > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post109863 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc- > unsubscribe@community.qnx.com Wed, 23 Apr 2014 16:13:44 GMT http://community.qnx.com/sf/go/post109996 Mario Charest 2014-04-23T16:13:44Z post109863: Re: 6.6 options? http://community.qnx.com/sf/go/post109863 Sean: Thanks for this, pkgsrc is too good resource to loose. Much appreciated. Andy Wed, 09 Apr 2014 01:40:23 GMT http://community.qnx.com/sf/go/post109863 Andy Rhind 2014-04-09T01:40:23Z post109850: Re: 6.6 options? http://community.qnx.com/sf/go/post109850 I've managed to get a few things built with some ugly hackery. I'll try to clean it up and put it in a wiki soonish. -seanb On Mon, Apr 07, 2014 at 08:14:40PM -0400, Andy Rhind wrote: > Hi: > > We wish to build some pkgsrc projects for ARM. Weve done it successfully in the past, but we used a native QNX install. > > In 6.6 that native build option isnt available, so I'd like to know if packages can be built on the IDE or in a dos command shell ? > > Are there any plans to port the bootstrap functionality to Momentics or Windows? Or any other way to use pkgsrc in 6.6? > > Thanks, > Andy > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post109836 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Tue, 08 Apr 2014 13:40:34 GMT http://community.qnx.com/sf/go/post109850 Sean Boudreau 2014-04-08T13:40:34Z post109836: 6.6 options? http://community.qnx.com/sf/go/post109836 Hi: We wish to build some pkgsrc projects for ARM. Weve done it successfully in the past, but we used a native QNX install. In 6.6 that native build option isnt available, so I'd like to know if packages can be built on the IDE or in a dos command shell ? Are there any plans to port the bootstrap functionality to Momentics or Windows? Or any other way to use pkgsrc in 6.6? Thanks, Andy Tue, 08 Apr 2014 00:14:40 GMT http://community.qnx.com/sf/go/post109836 Andy Rhind 2014-04-08T00:14:40Z post103584: Re: google protobuf http://community.qnx.com/sf/go/post103584 You should use 'bmake install'. http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/Bootstrap On Tue, Jul 23, 2013 at 07:39:37AM -0400, Vasiliy Pupkin wrote: > and btw, how i could use pkg_create command? i have downloaded sources, then 'make' and 'make install', and now, according to guide, i can use 'pkg_create -Rb *google protobuf package name' to create package, but my pkgsrc even doesnt know -R option! > > usage: pkg_create [-ElOUVv] [-B build-info-file] [-b build-version-file] > [-C cpkgs] [-D displayfile] [-F compression] > [-I realprefix] [-i iscript] > [-K pkg_dbdir] [-k dscript] > [-n preserve-file] [-P dpkgs] [-p prefix] [-r rscript] > [-S size-all-file] [-s size-pkg-file] > [-T buildpkgs] [-u owner] [-g group] > -c comment -d description -f packlist > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post103451 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Thu, 25 Jul 2013 16:33:52 GMT http://community.qnx.com/sf/go/post103584 Sean Boudreau 2013-07-25T16:33:52Z post103583: Re: google protobuf http://community.qnx.com/sf/go/post103583 This seems to just build with the current http://community.qnx.com/svn/repos/pkgsrc/HEAD_650/pkgsrc Regards, -seanb On Tue, Jul 23, 2013 at 07:34:19AM -0400, Vasiliy Pupkin wrote: > hi all, > > could someone create package for google protobuf-2.5.0 for qnx 6.5? > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post103450 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Thu, 25 Jul 2013 16:32:38 GMT http://community.qnx.com/sf/go/post103583 Sean Boudreau 2013-07-25T16:32:38Z post103451: Re: google protobuf http://community.qnx.com/sf/go/post103451 and btw, how i could use pkg_create command? i have downloaded sources, then 'make' and 'make install', and now, according to guide, i can use 'pkg_create -Rb *google protobuf package name' to create package, but my pkgsrc even doesnt know -R option! usage: pkg_create [-ElOUVv] [-B build-info-file] [-b build-version-file] [-C cpkgs] [-D displayfile] [-F compression] [-I realprefix] [-i iscript] [-K pkg_dbdir] [-k dscript] [-n preserve-file] [-P dpkgs] [-p prefix] [-r rscript] [-S size-all-file] [-s size-pkg-file] [-T buildpkgs] [-u owner] [-g group] -c comment -d description -f packlist Tue, 23 Jul 2013 11:39:37 GMT http://community.qnx.com/sf/go/post103451 Vasiliy Pupkin 2013-07-23T11:39:37Z post103450: google protobuf http://community.qnx.com/sf/go/post103450 hi all, could someone create package for google protobuf-2.5.0 for qnx 6.5? Tue, 23 Jul 2013 11:34:19 GMT http://community.qnx.com/sf/go/post103450 Vasiliy Pupkin 2013-07-23T11:34:19Z post100553: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100553 You want to build www/ap-php. You shouldn't need to change any configuration. The default php version is 5.3 which should work. You can change this by setting PHP_VERSION_DEFAULT=54 in your $PREFIX/etc/mk.conf. I didn't actually build with 54 default but it should work. svn up first as there were a few small fixes to www/apache22 On Fri, Apr 12, 2013 at 06:25:47PM -0400, Mitchell Schoenbrun wrote: > Well I've made some progress in understanding the problem. Here's what I did. > I started over fresh with PHP 5.3. > I did a bmake and verified that it compiled. > I added the directive --with-axps2=/usr/pkg/bin/apxs > > I ran bmake and got a number of errors related to .h files not being found. > I copied and pasted the attempted command into a file. > I ran the file as a script and it compiled???????? > > This is a very clear indicator of what the problem is, the QNX overrides. They simply do not work. > Previously I saw a number of very strange results, eg. libraries not being found, although they were were they were supposed to be and being pointed to. > > I do not have the knowledge to fix this, and I suspect I will have to throw out the baby with with the bath water. > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post100546 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Sat, 13 Apr 2013 22:27:35 GMT http://community.qnx.com/sf/go/post100553 Sean Boudreau 2013-04-13T22:27:35Z post100547: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100547 Last one I tried was lang/php54. Does that work? Sent from my BlackBerry 10 smartphone on the Rogers network. From: Mitchell Schoenbrun Sent: Friday, April 12, 2013 6:25 PM To: pkginfo-pkgsrc Reply To: pkginfo-pkgsrc@community.qnx.com Subject: Re: PHP 5.4 and 5.5 with pkgsrc Well I've made some progress in understanding the problem. Here's what I did. I started over fresh with PHP 5.3. I did a bmake and verified that it compiled. I added the directive --with-axps2=/usr/pkg/bin/apxs I ran bmake and got a number of errors related to .h files not being found. I copied and pasted the attempted command into a file. I ran the file as a script and it compiled???????? This is a very clear indicator of what the problem is, the QNX overrides. They simply do not work. Previously I saw a number of very strange results, eg. libraries not being found, although they were were they were supposed to be and being pointed to. I do not have the knowledge to fix this, and I suspect I will have to throw out the baby with with the bath water. _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post100546 To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Fri, 12 Apr 2013 23:56:52 GMT http://community.qnx.com/sf/go/post100547 Sean Boudreau 2013-04-12T23:56:52Z post100546: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100546 Well I've made some progress in understanding the problem. Here's what I did. I started over fresh with PHP 5.3. I did a bmake and verified that it compiled. I added the directive --with-axps2=/usr/pkg/bin/apxs I ran bmake and got a number of errors related to .h files not being found. I copied and pasted the attempted command into a file. I ran the file as a script and it compiled???????? This is a very clear indicator of what the problem is, the QNX overrides. They simply do not work. Previously I saw a number of very strange results, eg. libraries not being found, although they were were they were supposed to be and being pointed to. I do not have the knowledge to fix this, and I suspect I will have to throw out the baby with with the bath water. Fri, 12 Apr 2013 22:25:47 GMT http://community.qnx.com/sf/go/post100546 Mitchell Schoenbrun 2013-04-12T22:25:47Z post100541: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100541 Did you make any changes to Makefile.php? It compiled the first time without changes. As soon as I tried -with-apxs=... everything went haywire. At the very least I need this to work so I can use it with Apache2. Fri, 12 Apr 2013 20:06:42 GMT http://community.qnx.com/sf/go/post100541 Mitchell Schoenbrun 2013-04-12T20:06:42Z post100536: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100536 pkg-config and php54 now build for me. There's some errors in 'bmake test' if you want to dig in (community enthusiasm and all :)). > > There's some traffic in this project but not as much as when the 'open' > kick was on. > > I'll try 5.5 and see what I see. > > > It seems like it's been about 5 years since I've tried to wrestle with > pkgsrc. > > Is there any community enthusiasm anymore? > > > > Well anyway, I'm trying to get the old QAMP recompiled so I can upgrade my > > server to QNX 6.5.0. > > There are only 2 PHP's in the HEAD_650 tree and both fail to bmake with the > > > same error. > > > > After building a few dependent modules including glib, PHP stops in its > tracks > > with a message > > > > configure: error: Glib must be build(sic) with -march=i486 or later. > > > > This was a little confusing at first until I figured out that -march= is a > gcc > > parameter and that -march=i386 is probably the default. > > > > So I went into the work/glib* directory and updated configure so that -march > = > > i486 would be used for every gcc compile. I observed this happening as the > > > package was built and installed. > > > > But then when did a re-bmake in PHP54 I got the same !@#$% message. I also > > > tried PHP 5.3 and the same problem occurred. It's hard to imagine that no- > > > one else is interested in PHP running QNX 6.5.0. > > > > I'll report back if I find anything else. > > Fri, 12 Apr 2013 19:20:02 GMT http://community.qnx.com/sf/go/post100536 Sean Boudreau 2013-04-12T19:20:02Z post100478: Re: Midnight Commander for QNX 6.5? http://community.qnx.com/sf/go/post100478 The workaround for posix_memalign on 6.5sp1 is here: http://community.qnx.com/sf/discussion/do/listPosts/projects.core_os/discussion.newcode.topc22167?_message=1342622999343 On Thu, Apr 11, 2013 at 03:37:34AM -0400, Per Kristoffersen wrote: > OK, so I gave it a shot (bungy jump). > > 1. Running QNX neutrino 6.5.0 + SP1. > > 2. Download 6.5.0_bootstrap.tar.gz and save at /6.5.0_bootstrap.tar.gz. > > 3. tar -xvf /6.5.0_bootstrap.tar.gz > > 4. create /profile.d/pkgsrc.sh with the following: > PATH=$PATH:/usr/pkg/bin:/usr/pkg/sbin > > 5. reboot > > 6. mkdir /usr/pkgsrc; cd /usr/pkgsrc > > 7. svn checkout --username per.kristoffersen@cgi.com http://community.qnx.com/svn/repos/pkgsrc/HEAD_650 > > 8. cd HEAD_650\pkgsrc\bootstrap; ./bootstrap > This step fails unless in line 89 of HEAD_650\pkgsrc\mk\platform\QNX.mk > > 9. Edit 'HEAD_650\pkgsrc\mk\platform\QNX.mk' and comment the lines: > #.if !(empty(SETGIDGAME:M[yY][eE][sS])) > #GAMES_USER= games > #GAMES_GROUP= games > #GAMEOWN= ${GAMES_USER} > #GAMEGRP= ${GAMES_GROUP} > #GAMEMODE= 2555 > #GAMEDIRMODE= 0775 > #.endif > > 10. cd HEAD_650\pkgsrc\bootstrap; ./bootstrap > Success. > > 11. cd HEAD_650\pkgsrc\sysutils\mc > > 12. bmake > This step fails, bmake seems to be looping somewhere (never finishes). > The last line displayed is: > checking for a compliant posix_memalign() implementation... > > PS: Also tried sysutils/mc46, but bmake also hangs in this case. > > Any suggestions? > > > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post100463 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Thu, 11 Apr 2013 13:51:56 GMT http://community.qnx.com/sf/go/post100478 Sean Boudreau 2013-04-11T13:51:56Z post100463: Re: Midnight Commander for QNX 6.5? http://community.qnx.com/sf/go/post100463 OK, so I gave it a shot (bungy jump). 1. Running QNX neutrino 6.5.0 + SP1. 2. Download 6.5.0_bootstrap.tar.gz and save at /6.5.0_bootstrap.tar.gz. 3. tar -xvf /6.5.0_bootstrap.tar.gz 4. create /profile.d/pkgsrc.sh with the following: PATH=$PATH:/usr/pkg/bin:/usr/pkg/sbin 5. reboot 6. mkdir /usr/pkgsrc; cd /usr/pkgsrc 7. svn checkout --username per.kristoffersen@cgi.com http://community.qnx.com/svn/repos/pkgsrc/HEAD_650 8. cd HEAD_650\pkgsrc\bootstrap; ./bootstrap This step fails unless in line 89 of HEAD_650\pkgsrc\mk\platform\QNX.mk 9. Edit 'HEAD_650\pkgsrc\mk\platform\QNX.mk' and comment the lines: #.if !(empty(SETGIDGAME:M[yY][eE][sS])) #GAMES_USER= games #GAMES_GROUP= games #GAMEOWN= ${GAMES_USER} #GAMEGRP= ${GAMES_GROUP} #GAMEMODE= 2555 #GAMEDIRMODE= 0775 #.endif 10. cd HEAD_650\pkgsrc\bootstrap; ./bootstrap Success. 11. cd HEAD_650\pkgsrc\sysutils\mc 12. bmake This step fails, bmake seems to be looping somewhere (never finishes). The last line displayed is: checking for a compliant posix_memalign() implementation... PS: Also tried sysutils/mc46, but bmake also hangs in this case. Any suggestions? Thu, 11 Apr 2013 07:37:34 GMT http://community.qnx.com/sf/go/post100463 Per Kristoffersen(deleted) 2013-04-11T07:37:34Z post100435: Re: Midnight Commander for QNX 6.5? http://community.qnx.com/sf/go/post100435 http://community.qnx.com/sf/projects/pkgsrc/ http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/Bootstrap It's under sysutils/mc Sent from my BlackBerry 10 smartphone on the Rogers network. From: Per Kristoffersen Sent: Wednesday, April 10, 2013 5:55 AM To: pkginfo-pkgsrc Reply To: pkginfo-pkgsrc@community.qnx.com Subject: Re: Midnight Commander for QNX 6.5? Yes, but I'm a newbie with respect to pkgsrc - and I haven't found a "pkgsrc for dummies" yet ;-) 1. How should I set PKG_PATH? 2. What commands should I issue in order to obtain the proper mc source code? 3. How to configure / compile mc? _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post100426 To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Wed, 10 Apr 2013 12:19:00 GMT http://community.qnx.com/sf/go/post100435 Sean Boudreau 2013-04-10T12:19:00Z post100426: Re: Midnight Commander for QNX 6.5? http://community.qnx.com/sf/go/post100426 Yes, but I'm a newbie with respect to pkgsrc - and I haven't found a "pkgsrc for dummies" yet ;-) 1. How should I set PKG_PATH? 2. What commands should I issue in order to obtain the proper mc source code? 3. How to configure / compile mc? Wed, 10 Apr 2013 09:55:46 GMT http://community.qnx.com/sf/go/post100426 Per Kristoffersen(deleted) 2013-04-10T09:55:46Z post100406: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100406 There's some traffic in this project but not as much as when the 'open' kick was on. I'll try 5.5 and see what I see. > It seems like it's been about 5 years since I've tried to wrestle with pkgsrc. > Is there any community enthusiasm anymore? > > Well anyway, I'm trying to get the old QAMP recompiled so I can upgrade my > server to QNX 6.5.0. > There are only 2 PHP's in the HEAD_650 tree and both fail to bmake with the > same error. > > After building a few dependent modules including glib, PHP stops in its tracks > with a message > > configure: error: Glib must be build(sic) with -march=i486 or later. > > This was a little confusing at first until I figured out that -march= is a gcc > parameter and that -march=i386 is probably the default. > > So I went into the work/glib* directory and updated configure so that -march= > i486 would be used for every gcc compile. I observed this happening as the > package was built and installed. > > But then when did a re-bmake in PHP54 I got the same !@#$% message. I also > tried PHP 5.3 and the same problem occurred. It's hard to imagine that no- > one else is interested in PHP running QNX 6.5.0. > > I'll report back if I find anything else. Tue, 09 Apr 2013 14:53:00 GMT http://community.qnx.com/sf/go/post100406 Sean Boudreau 2013-04-09T14:53:00Z post100357: Re: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100357 So it's a little more complicated. The message about glib not being compiled with -march=i486 was coming from a dependent called pkg-config. I looked into it, and it is clear that the error message is a red herring. It doesn't have to have anything to do with the -march= stuff. I couldn't figure out what to do about it, so instead I downloaded pkg-config from the NetBSD pre-compiled site. This seems to be working so far. Sun, 07 Apr 2013 03:45:50 GMT http://community.qnx.com/sf/go/post100357 Mitchell Schoenbrun 2013-04-07T03:45:50Z post100356: PHP 5.4 and 5.5 with pkgsrc http://community.qnx.com/sf/go/post100356 It seems like it's been about 5 years since I've tried to wrestle with pkgsrc. Is there any community enthusiasm anymore? Well anyway, I'm trying to get the old QAMP recompiled so I can upgrade my server to QNX 6.5.0. There are only 2 PHP's in the HEAD_650 tree and both fail to bmake with the same error. After building a few dependent modules including glib, PHP stops in its tracks with a message configure: error: Glib must be build(sic) with -march=i486 or later. This was a little confusing at first until I figured out that -march= is a gcc parameter and that -march=i386 is probably the default. So I went into the work/glib* directory and updated configure so that -march=i486 would be used for every gcc compile. I observed this happening as the package was built and installed. But then when did a re-bmake in PHP54 I got the same !@#$% message. I also tried PHP 5.3 and the same problem occurred. It's hard to imagine that no-one else is interested in PHP running QNX 6.5.0. I'll report back if I find anything else. Sun, 07 Apr 2013 02:18:32 GMT http://community.qnx.com/sf/go/post100356 Mitchell Schoenbrun 2013-04-07T02:18:32Z post100304: Re: Midnight Commander for QNX 6.5? http://community.qnx.com/sf/go/post100304 Just tried and it still builds from pkgsrc. On Thu, Apr 04, 2013 at 08:25:44AM -0400, Per Kristoffersen wrote: > I'm having some difficulty locating mc for QNX 6.5 (binary package). > I really miss it! > Any suggestions? > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post100299 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Thu, 04 Apr 2013 14:58:43 GMT http://community.qnx.com/sf/go/post100304 Sean Boudreau 2013-04-04T14:58:43Z post100299: Midnight Commander for QNX 6.5? http://community.qnx.com/sf/go/post100299 I'm having some difficulty locating mc for QNX 6.5 (binary package). I really miss it! Any suggestions? Thu, 04 Apr 2013 12:25:44 GMT http://community.qnx.com/sf/go/post100299 Per Kristoffersen(deleted) 2013-04-04T12:25:44Z post100190: Re: Bootstrap missing? http://community.qnx.com/sf/go/post100190 A bootstrap archive used to exist for 6.4 but. I don't know where it went. Probably easiest to build it yourself. Regards, -seanb Sent from my BlackBerry 10 smartphone. From: Andy Rhind Sent: Tuesday, March 26, 2013 7:44 PM To: pkginfo-pkgsrc Reply To: pkginfo-pkgsrc@community.qnx.com Subject: Re: Bootstrap missing? Supplementary information: Im porting applications for a 6.4.0 system. There are various dependencies that I would like to avoid porting, especially since there are binaries provided in pkgsrc. I'm trying to use bootstrap and pkg_add but having problems. The only bootstrap binary that I can see is that for 6.5.0. I download it and install (cd /; tar -zxvf etc ) and all looks ok. I set the PATH and CS_LIBPATH and PKG_PATH However when I run pkg_info or pkg_add , I get "Memory fault (core dumped)". Is there a version of bootstrap, specifically for 6.4.0 ? Or do I need to install the HEAD_640 and build it ? Thanks, Andy _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post100188 To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Wed, 27 Mar 2013 00:15:59 GMT http://community.qnx.com/sf/go/post100190 Sean Boudreau 2013-03-27T00:15:59Z post100188: Re: Bootstrap missing? http://community.qnx.com/sf/go/post100188 Supplementary information: Im porting applications for a 6.4.0 system. There are various dependencies that I would like to avoid porting, especially since there are binaries provided in pkgsrc. I'm trying to use bootstrap and pkg_add but having problems. The only bootstrap binary that I can see is that for 6.5.0. I download it and install (cd /; tar -zxvf etc ) and all looks ok. I set the PATH and CS_LIBPATH and PKG_PATH However when I run pkg_info or pkg_add , I get "Memory fault (core dumped)". Is there a version of bootstrap, specifically for 6.4.0 ? Or do I need to install the HEAD_640 and build it ? Thanks, Andy Tue, 26 Mar 2013 23:44:57 GMT http://community.qnx.com/sf/go/post100188 Andy Rhind 2013-03-26T23:44:57Z post100129: Re: Bootstrap missing? http://community.qnx.com/sf/go/post100129 Sean: I'm also looking for the bootstrap binaries. The one I need is the 6.4.0 bootstrap. Ive tried the 6.5 by it has a memory error. Can you supply the 6.4.0 bootstrap? Thanks, Andy Mon, 25 Mar 2013 11:59:04 GMT http://community.qnx.com/sf/go/post100129 Andy Rhind 2013-03-25T11:59:04Z post98084: Samba 3.6.6 - Problems transfering Files > 1 GB http://community.qnx.com/sf/go/post98084 Greetings, After installing the new samba-port (3.3.6-nb1) I got a strange behavior: I'm trying to transfer an Iso-Image with a Filesize of 1,8 GB from a Desktop running Win7 Professional to a QNX65-SP1-Host running the new Sambaversion. I can open the share on Windows and can see the contents of the directory. Trying to copy my file, the transfer doesn't really start. It took a long time to calculate the estimated remaining time an stops the transfer at 0 Bytes, showing an Messagbox that there has been an problem with the connection to the server ... (No reconnect possible) Looking at the serverside, I can see my File with the right size, but the contents are wrong (cksum is not the same). The log.smbd only contains a startup-Message. Can anyone give some advice, what to do? Thu, 13 Dec 2012 14:23:52 GMT http://community.qnx.com/sf/go/post98084 MBS MBS(deleted) 2012-12-13T14:23:52Z post96375: Re: Package libppl_c.so.4 http://community.qnx.com/sf/go/post96375 Hi, look: http://www.ajamweb.pl/programy/ppl-0.11.2-x86-qnx6.5.0.tar.bz2 bogdan Wed, 17 Oct 2012 08:16:26 GMT http://community.qnx.com/sf/go/post96375 bogdan celer 2012-10-17T08:16:26Z post96030: Package libppl_c.so.4 http://community.qnx.com/sf/go/post96030 Hello I am trying to install a library libppl_c.so.4. Вownloaded http://bugseng.com/products/ppl, but when I install, an error appears ldd: FATAL: Could not load library libppl_c.so.4 Can somebody help? Thu, 04 Oct 2012 13:17:47 GMT http://community.qnx.com/sf/go/post96030 Boris Gurenko 2012-10-04T13:17:47Z post95339: Re: Update of Pkg /net/samba for QNX6.5 to current version 3.6.7 or 3.6.6 as released in NetBSD-PkgSrc http://community.qnx.com/sf/go/post95339 Thats Great, thank you very much. Regards, René Grün Mon, 03 Sep 2012 13:22:34 GMT http://community.qnx.com/sf/go/post95339 MBS MBS(deleted) 2012-09-03T13:22:34Z post95335: Re: Update of Pkg /net/samba for QNX6.5 to current version 3.6.7 or 3.6.6 as released in NetBSD-PkgSrc http://community.qnx.com/sf/go/post95335 Yes. Not a lot of time now though. Regards, -seanb ----- Original Message ----- From: MBS MBS [mailto:community-noreply@qnx.com] Sent: Monday, September 03, 2012 07:21 AM To: pkginfo-pkgsrc <pkginfo-pkgsrc@community.qnx.com> Subject: Update of Pkg /net/samba for QNX6.5 to current version 3.6.7 or 3.6.6 as released in NetBSD-PkgSrc Greetings to everybody. Is there any plan to update the package /net/samba to a current version like the older samba-releases? Regards, René Grün _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post95333 To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Mon, 03 Sep 2012 11:55:15 GMT http://community.qnx.com/sf/go/post95335 Sean Boudreau 2012-09-03T11:55:15Z post95333: Update of Pkg /net/samba for QNX6.5 to current version 3.6.7 or 3.6.6 as released in NetBSD-PkgSrc http://community.qnx.com/sf/go/post95333 Greetings to everybody. Is there any plan to update the package /net/samba to a current version like the older samba-releases? Regards, René Grün Mon, 03 Sep 2012 11:21:32 GMT http://community.qnx.com/sf/go/post95333 MBS MBS(deleted) 2012-09-03T11:21:32Z post94157: Re: QNXSP1 and glib2 problem http://community.qnx.com/sf/go/post94157 I. I installed QNX 6.5.0 anew from qnxsdp-6.5.0-201007091524. # uname -a QNX localhost 6.5.0 2010/07/09-14:44:03EDT x86pc x86 # And I installed only mc4.6.2-pre1. It is this version which I use from QNX 6.4.1 to QNX 6.5.0. # cd /usr/bin # ldd mc ./mc: libintl.so.8 => /usr/local/lib/libintl.so.8.0.2 (0xb8200000) libiconv.so.7 => /usr/local/lib/libiconv.so.7.5.0 (0xb820f000) libc.so.3 => /usr/lib/ldqnx.so.2 (0xb0300000) libglib-2.0.so.2000 => /usr/local/lib/libglib-2.0.so.0 (0xb82ef000) librpc.so.2 => /usr/lib/librpc.so.2 (0xb83c2000) libsocket.so.2 => /lib/libsocket.so.2 (0xb83da000) libiconv.so.7 => /usr/local/lib/libiconv.so.7.5.0 (0xb8409000) libsocket.so.3 => /lib/libsocket.so.3 (0xb84e9000) # mc --version GNU Midnight Commander 4.6.2-pre1 Virtual File System: tarfs, extfs, cpiofs, ftpfs, fish With builtin Editor Using included S-Lang library with terminfo database With subshell support as default With support for background operations With mouse support on xterm With internationalization support Data types: char 8 int 32 long 32 void * 32 off_t 64 ecs_char 8 # # ls -l /usr/local/lib total 6579 drwxrwxr-x 2 root root 1024 May 01 2009 . drwxrwxr-x 4 root root 1024 Jul 09 17:42 .. -rwxr-xr-x 1 root root 2020328 Mar 22 2009 libglib-2.0.so.0 lrwxrwxrwx 1 root root 17 Jul 09 17:38 libiconv.so -> libiconv.so.7.5.0 lrwxrwxrwx 1 root root 17 Jul 09 17:38 libiconv.so.2 -> libiconv.so.7.5.0 lrwxrwxrwx 1 root root 17 Jul 09 17:38 libiconv.so.6 -> libiconv.so.7.5.0 lrwxrwxrwx 1 root root 17 Jul 09 17:38 libiconv.so.7 -> libiconv.so.7.5.0 -rwxr-xr-x 1 root root 1170324 Apr 30 2009 libiconv.so.7.5.0 lrwxrwxrwx 1 root root 16 Jul 09 17:38 libintl.so -> libintl.so.8.0.2 lrwxrwxrwx 1 root root 16 Jul 09 17:38 libintl.so.8 -> libintl.so.8.0.2 -rwxr-xr-x 1 root root 172375 Apr 30 2009 libintl.so.8.0.2 # # cd /usr/local/bin # cat Pidin #!/bin/sh clear echo ------------------------------------------------------------- echo Start echo ------------------------------------------------------------- echo while true; do pidin -p $1 -fmbIJlpK sleep 1 #clear done # Pidin mc ------------------------------------------------------------- Start ------------------------------------------------------------- stack tid pid-tid STATE cpu prio kernel call 28K(516K)* 1 528430-01 SIGWAITINFO 2 10r signal_waitinfo stack tid pid-tid STATE cpu prio kernel call 28K(516K)* 1 528430-01 SIGWAITINFO 2 10r signal_waitinfo stack tid pid-tid STATE cpu prio kernel call # # cat Pidin1 #!/bin/sh echo ------------------------------------------------------------- echo Start echo ------------------------------------------------------------- echo #clear while true; do pidin -p $1 -fmbIJlpKR times sleep 1 #clear done # # Pidin1 mc ------------------------------------------------------------- Start ------------------------------------------------------------- pid name sid start time utime stime cutime cstime 528430 usr/bin/mc 528429 Jul 09 22:01 0.171 0.018 0.031 0.000 pid name sid start time utime stime cutime cstime 528430 usr/bin/mc 528429 Jul 09 22:01 0.171 0.018 0.031 0.000 # # cat Pidin2 #!/bin/sh clear echo ------------------------------------------------------------- echo Start echo ------------------------------------------------------------- echo while true; do pidin -p $1 -fmbIJlpK ttimes sleep 1 #clear done # Pidin2 mc ------------------------------------------------------------- Start ------------------------------------------------------------- pid tid name STATE start time thread start sutime 528430 1 usr/bin/mc SIGWAITINFO Jul 09 22:01 Jul 09 22:01 0.212 pid tid name STATE start time thread start sutime 528430 1 usr/bin/mc SIGWAITINFO Jul 09 22:01 Jul 09 22:01 0.212 II. Next I installed QNXSP1 from qnxsdp-6.5.0SP1-201206270843-nto.sh And mc stopped correctly working. He still is in the RUNNING state and on-screen nothing appears. # Pidin mc ------------------------------------------------------------- Start ------------------------------------------------------------- stack tid pid-tid STATE cpu prio kernel call 24K(516K)* 1 454689-01 RUNNING 2 10r stack tid pid-tid STATE cpu prio kernel call 24K(516K)* 1 454689-01 RUNNING 2 10r # Pidin1 mc ------------------------------------------------------------- Start ------------------------------------------------------------- pid name sid start time utime stime cutime cstime 454689 usr/bin/mc 454681 Jul 09 22:45 5m49s 0.004 0.000 0.000 pid name sid start time utime stime cutime cstime 454689 usr/bin/mc 454681 Jul 09 22:45 5m50s 0.004 0.000 0.000 pid name sid start time utime stime cutime cstime 454689 usr/bin/mc 454681 Jul 09 22:45 5m51s 0.004 0.000 0.000 # Pidin2 mc ------------------------------------------------------------- Start ------------------------------------------------------------- pid tid name STATE start time thread start sutime 454689 1 usr/bin/mc RUNNING Jul 09 22:45 Jul 09 22:45 6m53s pid tid name STATE start time thread start sutime 454689 1 usr/bin/mc RUNNING Jul 09 22:45 Jul 09 22:45 6m54s pid tid name STATE start time thread start sutime 454689 1 usr/bin/mc RUNNING Jul 09 22:45 Jul 09 22:45 6m55s pid tid name STATE start time thread start sutime 454689 1 usr/bin/mc RUNNING Jul 09 22:45 Jul 09 22:45 6m56s # hogs -n -% 10 PID NAME MSEC PIDS SYSTEM 1 procnto-smp-instr 8488 70% 282% 462882 mc 3002 24% 100% 1 procnto-smp-instr 8451 70% 281% 462882 mc 3002 24% 100% 1 procnto-smp-instr 8739 72% 291% 462882 mc 3001 24% 100% 1 procnto-smp-instr 8452 70% 281% 462882 mc 3003 24% 100% 1 procnto-smp-instr 8455 70% 281% 462882 mc 3001 24% 100% 1 procnto-smp-instr 8453 70% 281% 462882 mc 3003 24% 100% 1 procnto-smp-instr 8457 70% 281% 462882 mc 3001 24% 100% 1 procnto-smp-instr 8454 70% 281% 462882 mc 3003 24% 100% # # top 48 processes; 135 threads; CPU states: 26.0% user, 0.0% kernel CPU 0 Idle: 97.9% CPU 1 Idle: 97.2% CPU 2 Idle: 98.5% CPU 3 Idle: 1.7% Memory: 0 total, 2G avail, page size 4K PID TID PRI STATE HH:MM:SS CPU COMMAND 462882 1 10 Run 0:08:03 24.99% mc 258080 3 12 Rply 0:00:27 1.03% io-graphics 540713 1 10 Rcv 0:00:00 0.03% pterm 237599 1 12 Rcv 0:00:00 0.02% Photon 1 14 10 Rcv 0:00:00 0.01% kernel 356388 1 10 Rcv 0:00:00 0.00% pwm 180243 1 10 Rcv 0:00:00 0.00% devc-pty 274467 3 12 SigW 0:00:00 0.00% devi-hid 4102 7 10 Rply 0:00:00 0.00% io-hid 610352 1 10 Rply 0:00:00 0.00% top Min Max Average CPU 0 idle: 97% 99% 98% CPU 1 idle: 97% 99% 98% CPU 2 idle: 98% 100% 99% CPU 3 idle: 0% 1% 0% Mem Avail: 2899MB 2899MB 2899MB Processes: 48 48 48 Threads: 135 135 135 Mon, 09 Jul 2012 21:57:18 GMT http://community.qnx.com/sf/go/post94157 bogdan celer 2012-07-09T21:57:18Z post94144: Re: QNXSP1 and glib2 problem http://community.qnx.com/sf/go/post94144 Sean excuse me, I know my English isn't too good. In QNX I use mc. I compile and I test the Gnome software. # mc --version GNU Midnight Commander 4.6.2-pre1 Virtual File System: tarfs, extfs, cpiofs, ftpfs, fish With builtin Editor Using included S-Lang library with terminfo database With subshell support as default With support for background operations With mouse support on xterm With internationalization support Data types: char 8 int 32 long 32 void * 32 off_t 64 ecs_char 8 # ldd mc ./mc: libintl.so.8 => /usr/pkg/lib/libintl.so.8.1.1 (0xb8200000) libiconv.so.7 => /usr/local/lib/libiconv.so.7.5.0 (0xb8211000) libc.so.3 => /usr/lib/ldqnx.so.2 (0xb0300000) libglib-2.0.so.0 => /usr/pkg/lib/libglib-2.0.so.0.3000.2 (0xb82f1000) librpc.so.2 => /usr/lib/librpc.so.2 (0xb83d4000) libsocket.so.2 => /lib/libsocket.so.2 (0xb83ec000) libiconv.so.2 => /usr/pkg/lib/libiconv.so.2.5.1 (0xb841b000) libpcre.so.0 => /usr/pkg/lib/libpcre.so.0.0.1 (0xb8500000) libnbutil.so.1 => /usr/lib/libnbutil.so.1 (0xb853f000) libsocket.so.3 => /lib/libsocket.so.3 (0xb8547000) # And I don't have such problems which turned up at the moment of SP1 installing. 1.Before the SP1 installation. mc working wery well and I don't have problems with the compilation and testing the Gnome software Tests from /src/HEAD_650/pkgsrc/devel/glib-2.30.2/work/glib-2.30.2/glib/tests/.libs working 2. After the SP1 installation mc not working: # mc pid tid name STATE start time thread start sutime 3776561 1 usr/bin/mc RUNNING Jul 07 23:22 Jul 07 23:22 13.881 # And mc still is in the STATE RUNNING and nothing appears on the screen. # cd /src/HEAD_650/pkgsrc/devel/glib-2.30.2/work/glib-2.30.2/glib/tests/.libs # ls . keyfile lt-unix sequence .. list lt-unix-nothreads shell ........ testing ....date ....string ................................ # ./testing pid tid name STATE start time thread start sutime 2388019 1 ./testing RUNNING Jul 07 23:11 Jul 07 23:11 38.664 STATE RUNNING all time # ldd testing ./testing: libglib-2.0.so.0 => /usr/pkg/lib/libglib-2.0.so.0.3000.2 (0xb8200000) libpcre.so.0 => /usr/pkg/lib/libpcre.so.0.0.1 (0xb82e3000) libintl.so.8 => /usr/pkg/lib/libintl.so.8.1.1 (0xb8322000) libiconv.so.2 => /usr/pkg/lib/libiconv.so.2.5.1 (0xb8333000) libc.so.3 => /usr/lib/ldqnx.so.2 (0xb0300000) libnbutil.so.1 => /usr/lib/libnbutil.so.1 (0xb8418000) libsocket.so.3 => /lib/libsocket.so.3 (0xb8420000) # # ./date pid tid name STATE start time thread start sutime 3051569 1 ./date RUNNING Jul 07 23:13 Jul 07 23:13 41.900 STATE RUNNING all time # # ./string pid tid name STATE start time thread start sutime 3190833 1 ./string RUNNING Jul 07 23:14 Jul 07 23:14 74.769 STATE RUNNING all time # And so on with other tests For the test I compiled mc from pkgsrc mc64 with -g and with gdb I found, that mc entered the STATE RUNNIG at using g_new0(). But now I am not sure whether the problem isn't in other place. At present I decided: 1. install new QNX 6.5.0 2. install QNXSP1 3. compile the Gnome software and needed other libraries 4. make a tests Sun, 08 Jul 2012 14:58:55 GMT http://community.qnx.com/sf/go/post94144 bogdan celer 2012-07-08T14:58:55Z post94143: Re: QNXSP1 and glib2 problem http://community.qnx.com/sf/go/post94143 I haven't heard of or run into this. I also don't really understand your description. Can you elaborate? Regards, -seanb On Fri, Jul 06, 2012 at 04:29:53AM -0400, bogdan celer wrote: > Under SP1 appeared serious problems with the library glib2. > Each programme, which is using glib2 shall be suspended. > As far as i found a problem with inducing g _ new0 (Memory Allocation ) which causes the suspension of the programme. > Maybe someone knows the solution to this problem? > > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post94113 > To cancel your subscription to this discussion, please e-mail pkginfo-pkgsrc-unsubscribe@community.qnx.com Sat, 07 Jul 2012 17:54:59 GMT http://community.qnx.com/sf/go/post94143 Sean Boudreau 2012-07-07T17:54:59Z post94113: QNXSP1 and glib2 problem http://community.qnx.com/sf/go/post94113 Under SP1 appeared serious problems with the library glib2. Each programme, which is using glib2 shall be suspended. As far as i found a problem with inducing g _ new0 (Memory Allocation ) which causes the suspension of the programme. Maybe someone knows the solution to this problem? Fri, 06 Jul 2012 08:29:53 GMT http://community.qnx.com/sf/go/post94113 bogdan celer 2012-07-06T08:29:53Z post93446: Re: smartmontools availiable? http://community.qnx.com/sf/go/post93446 I tried the smartmontools version 5.38. When i tried to build that, i am finding a error that config.h is missing. I tried to find the file in 5.38 tar, but i am unable to find it. Please help me in this regard. Fri, 01 Jun 2012 09:49:09 GMT http://community.qnx.com/sf/go/post93446 Pattavarayan S 2012-06-01T09:49:09Z post92844: Smart information for disks behind RAID controller using QNX6.5.0 http://community.qnx.com/sf/go/post92844 Hi all, Anybody familiar with getting smart information using QNX6.5.0. I am a newbie in this area. I want to get SMART information from disks behind a RAID controller. I have seen a project named smartmontools in sourceforge.net. But it is not supported for QNX in the case where the disks are behind RAID controller. Anyone please help me. Thanks a million, Honey S Mon, 30 Apr 2012 06:55:38 GMT http://community.qnx.com/sf/go/post92844 Honey S(deleted) 2012-04-30T06:55:38Z post92843: Re: smartmontools availiable? http://community.qnx.com/sf/go/post92843 Hi Stefan, I am a newbie in this area. I need smartmontools for monitoring disks behind RAID controllers for QNX. I read your posts. Have you been able to build smart utilities? If so, please give instructions on how to build smartmontools for monitoring RAID controllers in QNX. Thanks a million, Honey S Mon, 30 Apr 2012 06:49:18 GMT http://community.qnx.com/sf/go/post92843 Honey S(deleted) 2012-04-30T06:49:18Z post90917: Re: Python 3.x port for QNX 6.4/6.5 http://community.qnx.com/sf/go/post90917 Maybe, but probably not. You'd have to try it. Regards, -seanb On Thu, Jan 12, 2012 at 12:40:20AM -0500, sudhir katta wrote: > Hi Seanb, > > I want to install py2.7, py2.7_ctypes, py2.7_web on QNX 6.4.1 but these binaries doesn't exist under head_6.4. Can I use the binaries under 6.5 for 6.4. > > Thanks > Sudhir > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post90914 > Thu, 12 Jan 2012 14:19:37 GMT http://community.qnx.com/sf/go/post90917 Sean Boudreau 2012-01-12T14:19:37Z post90914: Re: Python 3.x port for QNX 6.4/6.5 http://community.qnx.com/sf/go/post90914 Hi Seanb, I want to install py2.7, py2.7_ctypes, py2.7_web on QNX 6.4.1 but these binaries doesn't exist under head_6.4. Can I use the binaries under 6.5 for 6.4. Thanks Sudhir Thu, 12 Jan 2012 05:40:19 GMT http://community.qnx.com/sf/go/post90914 sudhir katta 2012-01-12T05:40:19Z post90879: Re: Python 3.x port for QNX 6.4/6.5 http://community.qnx.com/sf/go/post90879 Thanks seanb, I ran into apic-startup problem. I have to solve that problem before I install py3. I have installed QNX 6.5.0 on an Advantech PCI-6880 PCI board. This board uses chipsets: Intel 855GME + 6300ESB. I have applied patch-650-2338-RS3775_x86-650-updates, still the startup-apic problem manifests itself on this board on boot-up about 50% time. New patch does not fix the apic problem for my board. This board has no problem with QNX 6.3.2 and 6.4.0. I have posted the same on different discussion group. http://community.qnx.com/sf/discussion/do/listPosts/projects.bsp/discussion.bsp.topc21335?pageSize=-1#post_post90878 Tue, 10 Jan 2012 06:47:44 GMT http://community.qnx.com/sf/go/post90879 sudhir katta 2012-01-10T06:47:44Z post90858: Re: Python 3.x port for QNX 6.4/6.5 http://community.qnx.com/sf/go/post90858 ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.5.0_head_20110826/All/ http://community.qnx.com/sf/projects/pkgsrc -seanb On Sat, Jan 07, 2012 at 02:55:08AM -0500, sudhir katta wrote: > Can anyone point me to Python 3.x port for QNX 6.4/6.5 > > -Sudhir > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post90857 > Sat, 07 Jan 2012 13:47:56 GMT http://community.qnx.com/sf/go/post90858 Sean Boudreau 2012-01-07T13:47:56Z post90857: Python 3.x port for QNX 6.4/6.5 http://community.qnx.com/sf/go/post90857 Can anyone point me to Python 3.x port for QNX 6.4/6.5 -Sudhir Sat, 07 Jan 2012 07:55:06 GMT http://community.qnx.com/sf/go/post90857 sudhir katta 2012-01-07T07:55:06Z post89446: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post89446 > > Well this whole xphoton stuff was always very beta and I don't know if there > > > are still people interested. > > > > If yes, I could update this to 6.5.0 and fix some of the bugs still present. > > > Andre would be great if the next version of the Xphoton for QNX 6.5.0 you > submit. > bogdan Okay, I can give it a try. This can take some time - the current bugs are making Xphoton really unstable. André Wed, 19 Oct 2011 11:18:49 GMT http://community.qnx.com/sf/go/post89446 André Wösten 2011-10-19T11:18:49Z post89445: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post89445 > Well this whole xphoton stuff was always very beta and I don't know if there > are still people interested. > > If yes, I could update this to 6.5.0 and fix some of the bugs still present. Andre would be great if the next version of the Xphoton for QNX 6.5.0 you submit. bogdan Wed, 19 Oct 2011 10:57:33 GMT http://community.qnx.com/sf/go/post89445 bogdan celer 2011-10-19T10:57:33Z post89444: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post89444 > Do you have any plans to update this for 6.5.0? > > Thanks, > Phil Xphoton compilation with patches from Andre on 6.5.0 is not a problem. If you want I'll make available you the version of xorg-server-1.6.3. bogdan Wed, 19 Oct 2011 10:44:49 GMT http://community.qnx.com/sf/go/post89444 bogdan celer 2011-10-19T10:44:49Z post89433: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post89433 There's native X too. It hasn't been tested on a lot of hardware but it works for me. Regards, -seanb ----- Original Message ----- From: Phillip Michael [mailto:community-noreply@qnx.com] Sent: Tuesday, October 18, 2011 12:18 AM To: pkginfo-pkgsrc <post89431@community.qnx.com> Subject: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! Do you have any plans to update this for 6.5.0? Thanks, Phil _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post89431 Tue, 18 Oct 2011 12:23:50 GMT http://community.qnx.com/sf/go/post89433 Sean Boudreau 2011-10-18T12:23:50Z post89432: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post89432 Well this whole xphoton stuff was always very beta and I don't know if there are still people interested. If yes, I could update this to 6.5.0 and fix some of the bugs still present. Tue, 18 Oct 2011 10:10:55 GMT http://community.qnx.com/sf/go/post89432 André Wösten 2011-10-18T10:10:55Z post89431: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post89431 Do you have any plans to update this for 6.5.0? Thanks, Phil Tue, 18 Oct 2011 04:18:12 GMT http://community.qnx.com/sf/go/post89431 Phillip Michael 2011-10-18T04:18:12Z post88157: Re: python 3.2 http://community.qnx.com/sf/go/post88157 Not that I remember. But I was building python 3.2 and not 3.1.4. Sebastian On 2011-08-17, at 9:44 AM, Sean Boudreau wrote: > > pkgsrc has imported 3.1. Did you run into this issue when building? > > Traceback (most recent call last): > File "./setup.py", line 1852, in <module> > main() > File "./setup.py", line 1847, in main > "Tools/scripts/2to3-3.1"] > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/core.py", line 149, in setup > dist.run_commands() > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/dist.py", line 919, in run_commands > self.run_command(cmd) > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/dist.py", line 938, in run_command > cmd_obj.run() > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/command/build.py", line 128, in run > self.run_command(cmd_name) > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/cmd.py", line 315, in run_command > self.distribution.run_command(command) > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/dist.py", line 938, in run_command > cmd_obj.run() > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/command/build_scripts.py", line 53, in run > self.copy_scripts() > File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/command/build_scripts.py", line 110, in copy_scripts > 'surrogateescape') > TypeError: must be string, not None > > -seanb > > On Mon, Apr 25, 2011 at 01:57:20PM -0400, Sebastian Fischmeister wrote: >> I didn't really clean it up, but it gives you an idea. Add this to >> Include/Python.h: >> >> #include <limits.h> >> #include <sys/types.h> >> #include <sys/stat.h> >> #include <fcntl.h> >> >> Compile with >> >> CC=qcc CFLAGS=-DNO_MALLINFO ./configure >> make >> >> Sebastian >> >> On 2011-04-25, at 1:32 PM, Sean Boudreau wrote: >> >>> On Fri, Apr 22, 2011 at 01:59:45PM -0400, Sebastian Fischmeister >> wrote: >>>> Hi, >>>> >>>> I just compiled Python 3.2 on 6.5. Just a few tweaks such as >> including >>>> header files (alloca, unistd, more for open() and -DNO_MALLINFO. Is >>>> there a chance to see it included in pkgsrc, so all the dependencies >>>> will work out? It would be an upgraded of 3 years of development on >>>> python over the included python 2.5.2. >>>> >>>> Sebastian >>> >>> Can you attach the diffs? >>> >>> Thanks, >>> >>> -seanb >>> >>> >>> >>> _______________________________________________ >>> >>> PkgInfo >>> http://community.qnx.com/sf/go/post85219 >>> >> >> >> >> >> _______________________________________________ >> >> PkgInfo >> http://community.qnx.com/sf/go/post85220 >> > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post88156 > Wed, 17 Aug 2011 13:49:52 GMT http://community.qnx.com/sf/go/post88157 Sebastian Fischmeister 2011-08-17T13:49:52Z post88156: Re: python 3.2 http://community.qnx.com/sf/go/post88156 pkgsrc has imported 3.1. Did you run into this issue when building? Traceback (most recent call last): File "./setup.py", line 1852, in <module> main() File "./setup.py", line 1847, in main "Tools/scripts/2to3-3.1"] File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/core.py", line 149, in setup dist.run_commands() File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/dist.py", line 919, in run_commands self.run_command(cmd) File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/dist.py", line 938, in run_command cmd_obj.run() File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/command/build.py", line 128, in run self.run_command(cmd_name) File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/cmd.py", line 315, in run_command self.distribution.run_command(command) File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/dist.py", line 938, in run_command cmd_obj.run() File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/command/build_scripts.py", line 53, in run self.copy_scripts() File "/home/seanb/svn/community/pkgsrc/HEAD_650/pkgsrc/lang/python31/work/Python-3.1.4/Lib/distutils/command/build_scripts.py", line 110, in copy_scripts 'surrogateescape') TypeError: must be string, not None -seanb On Mon, Apr 25, 2011 at 01:57:20PM -0400, Sebastian Fischmeister wrote: > I didn't really clean it up, but it gives you an idea. Add this to > Include/Python.h: > > #include <limits.h> > #include <sys/types.h> > #include <sys/stat.h> > #include <fcntl.h> > > Compile with > > CC=qcc CFLAGS=-DNO_MALLINFO ./configure > make > > Sebastian > > On 2011-04-25, at 1:32 PM, Sean Boudreau wrote: > > > On Fri, Apr 22, 2011 at 01:59:45PM -0400, Sebastian Fischmeister > wrote: > >> Hi, > >> > >> I just compiled Python 3.2 on 6.5. Just a few tweaks such as > including > >> header files (alloca, unistd, more for open() and -DNO_MALLINFO. Is > >> there a chance to see it included in pkgsrc, so all the dependencies > >> will work out? It would be an upgraded of 3 years of development on > >> python over the included python 2.5.2. > >> > >> Sebastian > > > > Can you attach the diffs? > > > > Thanks, > > > > -seanb > > > > > > > > _______________________________________________ > > > > PkgInfo > > http://community.qnx.com/sf/go/post85219 > > > > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post85220 > Wed, 17 Aug 2011 13:44:31 GMT http://community.qnx.com/sf/go/post88156 Sean Boudreau 2011-08-17T13:44:31Z post86385: Re: Lua built without DLOPEN? http://community.qnx.com/sf/go/post86385 On Wed, Jun 01, 2011 at 11:35:35PM -0400, Saul A wrote: > Thank you, Sean, ctypes in Python indeed works. > > Python installation on my machine is broken. I've installed in on a > clean machine. > I've tried to delete it and reinstall, but don't know how to do this. > > I tried: > > # pkg_admin delete -r python26-2.6.6nb4 > (no output) > # pkg_add python26 > pkg_add: package `python26-2.6.6nb4' already recorded as installed > > ??? > So what is the correct way to erase the package and force re-install? I usually use 'pkg_delete', > > Also, it seems that in the source svn ( > http://community.qnx.com/svn/repos/pkgsrc ) there are only patches?? > > Where is the source itself, or what is the base of these patches? Check out the bootstrap page: http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/Bootstrap Yes pkgsrc is mostly patches. This is the same as the NetBSD tree. > > I am very sorry for stupid beginner questions, still very new to this > :-( > > Regards, > S. > > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post86371 > Thu, 02 Jun 2011 13:15:40 GMT http://community.qnx.com/sf/go/post86385 Sean Boudreau 2011-06-02T13:15:40Z post86371: Re: Lua built without DLOPEN? http://community.qnx.com/sf/go/post86371 Thank you, Sean, ctypes in Python indeed works. Python installation on my machine is broken. I've installed in on a clean machine. I've tried to delete it and reinstall, but don't know how to do this. I tried: # pkg_admin delete -r python26-2.6.6nb4 (no output) # pkg_add python26 pkg_add: package `python26-2.6.6nb4' already recorded as installed ??? So what is the correct way to erase the package and force re-install? Also, it seems that in the source svn ( http://community.qnx.com/svn/repos/pkgsrc ) there are only patches?? Where is the source itself, or what is the base of these patches? I am very sorry for stupid beginner questions, still very new to this :-( Regards, S. Thu, 02 Jun 2011 03:35:33 GMT http://community.qnx.com/sf/go/post86371 Saul A 2011-06-02T03:35:33Z post86321: Re: Lua built without DLOPEN? http://community.qnx.com/sf/go/post86321 On Tue, May 31, 2011 at 06:15:25PM -0400, Saul A wrote: > Hello, > > I'm playing with Lua;and it seems that binary package > ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.5.0_head_20101224/la > ng/lua-5.1.4nb2.tgz > > It is unable to load a C DLL, gives error message about dlopen not > configured. In the source makefile indeed there is option that controls > this. > > Could someone give a hint why this option was excluded for QNX? It wasn't touched so the generic build was used. > If this > was not intentional, could someone fix it? Yes. > > Meanwhile I'd try to build it myself from source on netbsd.org. > Which of these build targets in the makefile are best suitable for QNX > 6.5: > { bsd freebsd generic linux macosx posix } ? I suggest using the source from the pkgsrc project on foundry27 for now. Try the attached diff. > > Also, I've tried to use Python 2.6 with Ctype module, but could not get > it to work as well. It fails to load _ctype module with message "library > load failed". Just cannot get past this. Does it work for anyone? Seems to work for me: /home/seanb >/usr/pkg/bin/python2.6 Python 2.6.6 (r266:84292, Dec 29 2010, 15:30:53) [GCC 4.4.2] on qnx6 Type "help", "copyright", "credits" or "license" for more information. >>> import _ctypes >>> Wed, 01 Jun 2011 13:08:34 GMT http://community.qnx.com/sf/go/post86321 Sean Boudreau 2011-06-01T13:08:34Z post86305: Lua built without DLOPEN? http://community.qnx.com/sf/go/post86305 Hello, I'm playing with Lua;and it seems that binary package ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.5.0_head_20101224/lang/lua-5.1.4nb2.tgz It is unable to load a C DLL, gives error message about dlopen not configured. In the source makefile indeed there is option that controls this. Could someone give a hint why this option was excluded for QNX? If this was not intentional, could someone fix it? Meanwhile I'd try to build it myself from source on netbsd.org. Which of these build targets in the makefile are best suitable for QNX 6.5: { bsd freebsd generic linux macosx posix } ? Also, I've tried to use Python 2.6 with Ctype module, but could not get it to work as well. It fails to load _ctype module with message "library load failed". Just cannot get past this. Does it work for anyone? Thanks and regards, - s. Tue, 31 May 2011 22:15:24 GMT http://community.qnx.com/sf/go/post86305 Saul A 2011-05-31T22:15:24Z post85220: Re: python 3.2 http://community.qnx.com/sf/go/post85220 I didn't really clean it up, but it gives you an idea. Add this to Include/Python.h: #include <limits.h> #include <sys/types.h> #include <sys/stat.h> #include <fcntl.h> Compile with CC=qcc CFLAGS=-DNO_MALLINFO ./configure make Sebastian On 2011-04-25, at 1:32 PM, Sean Boudreau wrote: > On Fri, Apr 22, 2011 at 01:59:45PM -0400, Sebastian Fischmeister wrote: >> Hi, >> >> I just compiled Python 3.2 on 6.5. Just a few tweaks such as including >> header files (alloca, unistd, more for open() and -DNO_MALLINFO. Is >> there a chance to see it included in pkgsrc, so all the dependencies >> will work out? It would be an upgraded of 3 years of development on >> python over the included python 2.5.2. >> >> Sebastian > > Can you attach the diffs? > > Thanks, > > -seanb > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post85219 > Mon, 25 Apr 2011 17:57:20 GMT http://community.qnx.com/sf/go/post85220 Sebastian Fischmeister 2011-04-25T17:57:20Z post85219: Re: python 3.2 http://community.qnx.com/sf/go/post85219 On Fri, Apr 22, 2011 at 01:59:45PM -0400, Sebastian Fischmeister wrote: > Hi, > > I just compiled Python 3.2 on 6.5. Just a few tweaks such as including > header files (alloca, unistd, more for open() and -DNO_MALLINFO. Is > there a chance to see it included in pkgsrc, so all the dependencies > will work out? It would be an upgraded of 3 years of development on > python over the included python 2.5.2. > > Sebastian Can you attach the diffs? Thanks, -seanb Mon, 25 Apr 2011 17:32:54 GMT http://community.qnx.com/sf/go/post85219 Sean Boudreau 2011-04-25T17:32:54Z post85213: python 3.2 http://community.qnx.com/sf/go/post85213 Hi, I just compiled Python 3.2 on 6.5. Just a few tweaks such as including header files (alloca, unistd, more for open() and -DNO_MALLINFO. Is there a chance to see it included in pkgsrc, so all the dependencies will work out? It would be an upgraded of 3 years of development on python over the included python 2.5.2. Sebastian Fri, 22 Apr 2011 17:59:44 GMT http://community.qnx.com/sf/go/post85213 Sebastian Fischmeister 2011-04-22T17:59:44Z post84359: Re: gcc-2.95 on 6.5.0 http://community.qnx.com/sf/go/post84359 Thanks for the quick response. I found gcc-2.95 in the core tools and will follow up with the core tools team: http://community.qnx.com/svn/repos/core-dev-tools/tools/gcc/branches/gcc_2_95_branch So, since I got confused and thought that one can build the software in pkgsrc, you might want to delete all the core tools entries like gcc and gdb there and just leave a readme that points to the foundry project: http://community.qnx.com/sf/projects/toolchain Sebastian On 2011-03-28, at 9:21 PM, Sean Boudreau wrote: > Yes, this one would be better directed to our tools group. None of our tools have ever been built via pkgsrc. > > Regards, > > -seanb > > ----- Original Message ----- > From: Sebastian Fischmeister [mailto:community-noreply@qnx.com] > Sent: Monday, March 28, 2011 09:07 PM > To: pkginfo-pkgsrc <post84353@community.qnx.com> > Subject: gcc-2.95 on 6.5.0 > > Hi, > > We're trying to setup an experiment to perform different versions of gcc on QNX. gcc-2.95 doesn't compile on 6.5.0. > > Sebastian > > ---------------------- > [...] > ===> Patching for gcc-2.95.3nb7 > => Applying distribution patches for gcc-2.95.3nb7 > => Applying pkgsrc patches for gcc-2.95.3nb7 > ===> Creating toolchain wrappers for gcc-2.95.3nb7 > ===> Configuring for gcc-2.95.3nb7 > /bin/mkdir -p /root/HEAD_650/pkgsrc/lang/gcc/work/objdir > cd /root/HEAD_650/pkgsrc/lang/gcc/work/gcc-2.95.3 && contrib/egcs_update --touch > Touching gcc/cstamp-h.in... > Touching gcc/config.in... > Touching gcc/c-parse.h... > Touching gcc/java/parse.h... > Touching gcc/java/parse.c... > Touching gcc/java/parse-scan.c... > Invalid configuration `i386-pc-nto-qnx6.5.0': machine `i386-pc-nto' not recognized > Invalid configuration `i386-pc-nto-qnx6.5.0': machine `i386-pc-nto' not recognized > Unrecognized host system name i386-pc-nto-qnx6.5.0. > *** Error code 1 > > Stop. > bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc > *** Error code 1 > > Stop. > bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post84353 > > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post84354 > Tue, 29 Mar 2011 04:11:25 GMT http://community.qnx.com/sf/go/post84359 Sebastian Fischmeister 2011-03-29T04:11:25Z post84356: Re: gcc34 fails http://community.qnx.com/sf/go/post84356 Right, same answer as before :) -seanb ----- Original Message ----- From: Sebastian Fischmeister [mailto:community-noreply@qnx.com] Sent: Monday, March 28, 2011 09:35 PM To: pkginfo-pkgsrc <post84355@community.qnx.com> Subject: gcc34 fails Hi, Same as before, we're trying to see the impact of various compilers on programs on neutrino. gcc34 also fails. Sebastian ------------------------------------------ make[2]: Leaving directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' echo timestamp > stage1_copy echo stage2_build > stage_last /usr/qnx650/host/qnx6/x86/usr/bin/make CC=" stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/" CC_FOR_BUILD=" stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/" \ STAGE_PREFIX=stage1/ \ ADAFLAGS="" CFLAGS="-g -O2" LDFLAGS="" WARN_CFLAGS="\$(GCC_WARN_CFLAGS)" STRICT_WARN="-pedantic -Wno-long-long -Wold-style-definition " libdir=/usr/pkg/gcc34/lib LANGUAGES="c gcov gcov-dump c++ java objc" MAKEINFO="/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/missing makeinfo --split-size=5000000" MAKEINFOFLAGS="--no-split" MAKEOVERRIDES= OUTPUT_OPTION="-o \$@" \ CFLAGS="-g -O2" WERROR="" make[2]: Entering directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/ -c -g -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wold-style-definition -DHAVE_CONFIG_H -DGENERATOR_FILE -I/root/HEAD_650/pkgsrc/lang/gcc34/work/.buildlink/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include -I. -I. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/../include /root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/genmodes.c -o genmodes.o stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/ -c -g -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wold-style-definition -DHAVE_CONFIG_H -DGENERATOR_FILE -I/root/HEAD_650/pkgsrc/lang/gcc34/work/.buildlink/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include -I. -I. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/../include /root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/errors.c -o errors.o stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/ -g -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wold-style-definition -DHAVE_CONFIG_H -DGENERATOR_FILE -o genmodes \ genmodes.o errors.o ../libiberty/libiberty.a ../libiberty/libiberty.a(xmalloc.o): In function `xmalloc_set_program_name': xmalloc.c:(.text+0x26): undefined reference to `sbrk' ../libiberty/libiberty.a(xmalloc.o): In function `xmalloc_failed': xmalloc.c:(.text+0x56): undefined reference to `sbrk' xmalloc.c:(.text+0xb6): undefined reference to `sbrk' collect2: ld returned 1 exit status make[2]: *** [genmodes] Error 1 make[2]: Leaving directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' make[1]: *** [stage2_build] Error 2 make[1]: Leaving directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' make: *** [bootstrap] Error 2 *** Error code 2 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc34 WARNING: Please add USE_TOOLS+=perl to the package Makefile. *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc34 _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post84355 Tue, 29 Mar 2011 01:42:24 GMT http://community.qnx.com/sf/go/post84356 Sean Boudreau 2011-03-29T01:42:24Z post84355: gcc34 fails http://community.qnx.com/sf/go/post84355 Hi, Same as before, we're trying to see the impact of various compilers on programs on neutrino. gcc34 also fails. Sebastian ------------------------------------------ make[2]: Leaving directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' echo timestamp > stage1_copy echo stage2_build > stage_last /usr/qnx650/host/qnx6/x86/usr/bin/make CC=" stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/" CC_FOR_BUILD=" stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/" \ STAGE_PREFIX=stage1/ \ ADAFLAGS="" CFLAGS="-g -O2" LDFLAGS="" WARN_CFLAGS="\$(GCC_WARN_CFLAGS)" STRICT_WARN="-pedantic -Wno-long-long -Wold-style-definition " libdir=/usr/pkg/gcc34/lib LANGUAGES="c gcov gcov-dump c++ java objc" MAKEINFO="/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/missing makeinfo --split-size=5000000" MAKEINFOFLAGS="--no-split" MAKEOVERRIDES= OUTPUT_OPTION="-o \$@" \ CFLAGS="-g -O2" WERROR="" make[2]: Entering directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/ -c -g -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wold-style-definition -DHAVE_CONFIG_H -DGENERATOR_FILE -I/root/HEAD_650/pkgsrc/lang/gcc34/work/.buildlink/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include -I. -I. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/../include /root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/genmodes.c -o genmodes.o stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/ -c -g -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wold-style-definition -DHAVE_CONFIG_H -DGENERATOR_FILE -I/root/HEAD_650/pkgsrc/lang/gcc34/work/.buildlink/include -I/usr/include -I/usr/pkg/include -I/usr/pkg/include -I. -I. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/. -I/root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/../include /root/HEAD_650/pkgsrc/lang/gcc34/work/gcc-3.4.6/gcc/errors.c -o errors.o stage1/xgcc -Bstage1/ -B/usr/pkg/gcc34/i386-pc-nto-qnx6.5.0/bin/ -g -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wold-style-definition -DHAVE_CONFIG_H -DGENERATOR_FILE -o genmodes \ genmodes.o errors.o ../libiberty/libiberty.a ../libiberty/libiberty.a(xmalloc.o): In function `xmalloc_set_program_name': xmalloc.c:(.text+0x26): undefined reference to `sbrk' ../libiberty/libiberty.a(xmalloc.o): In function `xmalloc_failed': xmalloc.c:(.text+0x56): undefined reference to `sbrk' xmalloc.c:(.text+0xb6): undefined reference to `sbrk' collect2: ld returned 1 exit status make[2]: *** [genmodes] Error 1 make[2]: Leaving directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' make[1]: *** [stage2_build] Error 2 make[1]: Leaving directory `/root/HEAD_650/pkgsrc/lang/gcc34/work/obj/gcc' make: *** [bootstrap] Error 2 *** Error code 2 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc34 WARNING: Please add USE_TOOLS+=perl to the package Makefile. *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc34 Tue, 29 Mar 2011 01:35:52 GMT http://community.qnx.com/sf/go/post84355 Sebastian Fischmeister 2011-03-29T01:35:52Z post84354: Re: gcc-2.95 on 6.5.0 http://community.qnx.com/sf/go/post84354 Yes, this one would be better directed to our tools group. None of our tools have ever been built via pkgsrc. Regards, -seanb ----- Original Message ----- From: Sebastian Fischmeister [mailto:community-noreply@qnx.com] Sent: Monday, March 28, 2011 09:07 PM To: pkginfo-pkgsrc <post84353@community.qnx.com> Subject: gcc-2.95 on 6.5.0 Hi, We're trying to setup an experiment to perform different versions of gcc on QNX. gcc-2.95 doesn't compile on 6.5.0. Sebastian ---------------------- [...] ===> Patching for gcc-2.95.3nb7 => Applying distribution patches for gcc-2.95.3nb7 => Applying pkgsrc patches for gcc-2.95.3nb7 ===> Creating toolchain wrappers for gcc-2.95.3nb7 ===> Configuring for gcc-2.95.3nb7 /bin/mkdir -p /root/HEAD_650/pkgsrc/lang/gcc/work/objdir cd /root/HEAD_650/pkgsrc/lang/gcc/work/gcc-2.95.3 && contrib/egcs_update --touch Touching gcc/cstamp-h.in... Touching gcc/config.in... Touching gcc/c-parse.h... Touching gcc/java/parse.h... Touching gcc/java/parse.c... Touching gcc/java/parse-scan.c... Invalid configuration `i386-pc-nto-qnx6.5.0': machine `i386-pc-nto' not recognized Invalid configuration `i386-pc-nto-qnx6.5.0': machine `i386-pc-nto' not recognized Unrecognized host system name i386-pc-nto-qnx6.5.0. *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post84353 Tue, 29 Mar 2011 01:21:18 GMT http://community.qnx.com/sf/go/post84354 Sean Boudreau 2011-03-29T01:21:18Z post84353: gcc-2.95 on 6.5.0 http://community.qnx.com/sf/go/post84353 Hi, We're trying to setup an experiment to perform different versions of gcc on QNX. gcc-2.95 doesn't compile on 6.5.0. Sebastian ---------------------- [...] ===> Patching for gcc-2.95.3nb7 => Applying distribution patches for gcc-2.95.3nb7 => Applying pkgsrc patches for gcc-2.95.3nb7 ===> Creating toolchain wrappers for gcc-2.95.3nb7 ===> Configuring for gcc-2.95.3nb7 /bin/mkdir -p /root/HEAD_650/pkgsrc/lang/gcc/work/objdir cd /root/HEAD_650/pkgsrc/lang/gcc/work/gcc-2.95.3 && contrib/egcs_update --touch Touching gcc/cstamp-h.in... Touching gcc/config.in... Touching gcc/c-parse.h... Touching gcc/java/parse.h... Touching gcc/java/parse.c... Touching gcc/java/parse-scan.c... Invalid configuration `i386-pc-nto-qnx6.5.0': machine `i386-pc-nto' not recognized Invalid configuration `i386-pc-nto-qnx6.5.0': machine `i386-pc-nto' not recognized Unrecognized host system name i386-pc-nto-qnx6.5.0. *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/lang/gcc Tue, 29 Mar 2011 01:07:12 GMT http://community.qnx.com/sf/go/post84353 Sebastian Fischmeister 2011-03-29T01:07:12Z post83632: wall utility http://community.qnx.com/sf/go/post83632 Hi, What happened to the 'wall' utility since QNX4? I couldn't find it in pkgsrc. Thanks, Sebastian Tue, 01 Mar 2011 17:00:02 GMT http://community.qnx.com/sf/go/post83632 Sebastian Fischmeister 2011-03-01T17:00:02Z post83273: RE: dbench doesn't compile http://community.qnx.com/sf/go/post83273 There's lots of stuff that doesn't build. Diffs are always appreciated :). This one should now build. I haven't tested it at all. Regards, -seanb -----Original Message----- From: Sebastian Fischmeister [mailto:community-noreply@qnx.com] Sent: Wed 2/16/2011 7:52 PM To: pkginfo-pkgsrc Subject: dbench doesn't compile SVN revision 352 CPU:X86 Release:6.5.0 # cd HEAD_650/pkgsrc/benchmarks/dbench # bmake install [...] ===> Building for dbench-3.04 gcc -O2 -Wall -W -I. -DVERSION=\"3.04\" -DDATADIR=\"/usr/pkg/share/dbench\" -c fileio.c In file included from fileio.c:21: dbench.h:36:21: error: sys/shm.h: No such file or directory fileio.c: In function 'nb_qfsinfo': fileio.c:384: warning: unused parameter 'child' fileio.c:384: warning: unused parameter 'level' fileio.c:384: warning: unused parameter 'status' fileio.c: In function 'nb_cleanup': fileio.c:427: warning: implicit declaration of function 'asprintf' *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/benchmarks/dbench/work/dbench-3.04 *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/benchmarks/dbench *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/benchmarks/dbench _______________________________________________ PkgInfo http://community.qnx.com/sf/go/post83255 Thu, 17 Feb 2011 15:54:17 GMT http://community.qnx.com/sf/go/post83273 Sean Boudreau 2011-02-17T15:54:17Z post83255: dbench doesn't compile http://community.qnx.com/sf/go/post83255 SVN revision 352 CPU:X86 Release:6.5.0 # cd HEAD_650/pkgsrc/benchmarks/dbench # bmake install [...] ===> Building for dbench-3.04 gcc -O2 -Wall -W -I. -DVERSION=\"3.04\" -DDATADIR=\"/usr/pkg/share/dbench\" -c fileio.c In file included from fileio.c:21: dbench.h:36:21: error: sys/shm.h: No such file or directory fileio.c: In function 'nb_qfsinfo': fileio.c:384: warning: unused parameter 'child' fileio.c:384: warning: unused parameter 'level' fileio.c:384: warning: unused parameter 'status' fileio.c: In function 'nb_cleanup': fileio.c:427: warning: implicit declaration of function 'asprintf' *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/benchmarks/dbench/work/dbench-3.04 *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/benchmarks/dbench *** Error code 1 Stop. bmake: stopped in /root/HEAD_650/pkgsrc/benchmarks/dbench Thu, 17 Feb 2011 00:52:48 GMT http://community.qnx.com/sf/go/post83255 Sebastian Fischmeister 2011-02-17T00:52:48Z post82561: Re: Perl for 641 http://community.qnx.com/sf/go/post82561 How to install perl package in Neutrino I am having perl-5.8.8nb4.tgz package Package is untared by me but no config file or install script there but some +INSTALL like file there so what is the procedure to install these kind of files ... Thanks Amit Garg Mon, 24 Jan 2011 06:03:26 GMT http://community.qnx.com/sf/go/post82561 amit garg 2011-01-24T06:03:26Z post73595: Phoronix http://community.qnx.com/sf/go/post73595 It would be great to have this test suite on QNX: http://www.phoronix-test-suite.com/ Sebastian Thu, 04 Nov 2010 16:41:20 GMT http://community.qnx.com/sf/go/post73595 Sebastian Fischmeister 2010-11-04T16:41:20Z post62104: Regarding installing packages in QNX 6.5 http://community.qnx.com/sf/go/post62104 Hello, I want to install superLU on my QNX 6.5 ,I can see the package in the repos with all the dependencies. I followed the instructions on http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/BinaryPackages;jsessionid=65CA7C42D158125D5CCD463E132710C9 I can't get this working. I don't understand where should be put what? How can I download packages from the repos and compile it and get it working. Can you please guide me because I am not very experienced. Please help. Thank you. -- Ashwin M. Damle Fri, 06 Aug 2010 18:06:54 GMT http://community.qnx.com/sf/go/post62104 Ashwin Damle(deleted) 2010-08-06T18:06:54Z post60489: Re: Bootstrap missing? http://community.qnx.com/sf/go/post60489 Thanks! Fri, 23 Jul 2010 20:08:02 GMT http://community.qnx.com/sf/go/post60489 Norton Allen 2010-07-23T20:08:02Z post60462: Re: Bootstrap missing? http://community.qnx.com/sf/go/post60462 On Fri, Jul 23, 2010 at 01:03:09PM -0400, Norton Allen wrote: > Amy I looking in the wrong place, or is the bootstrap archive (to setup to download binary archives) missing? I don't see it under: > > ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.4.0_head_20081005 > ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.4.1_head_20090724 > ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.5.0_head_20100424 > > It was originally under 6.3.2, I think, and may not have made the jump to later versions. > They seem to have been cleared out. I think they must run a cron job to remove vulnerable / unknown packages or something... I've posted a 6.5.0 one here http://community.qnx.com/sf/wiki/do/viewAttachment/projects.pkgsrc/wiki/BinaryPackages/6.5.0_bootstrap.tar.gz Regards, -seanb Fri, 23 Jul 2010 17:16:45 GMT http://community.qnx.com/sf/go/post60462 Sean Boudreau 2010-07-23T17:16:45Z post60458: Bootstrap missing? http://community.qnx.com/sf/go/post60458 Amy I looking in the wrong place, or is the bootstrap archive (to setup to download binary archives) missing? I don't see it under: ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.4.0_head_20081005 ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.4.1_head_20090724 ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.5.0_head_20100424 It was originally under 6.3.2, I think, and may not have made the jump to later versions. Fri, 23 Jul 2010 17:03:08 GMT http://community.qnx.com/sf/go/post60458 Norton Allen 2010-07-23T17:03:08Z post58920: Re: Log4c binary http://community.qnx.com/sf/go/post58920 I would like to have one log file for each one of my applications, or maybe for a group of them. I believe that with Log4c would give me this flexibility. Not so sure with slogger though. Thanks for the tip! Rodrigo Madruga Thu, 08 Jul 2010 12:50:27 GMT http://community.qnx.com/sf/go/post58920 Rodrigo Madruga 2010-07-08T12:50:27Z post58780: Re: Log4c binary http://community.qnx.com/sf/go/post58780 Could you make use of slogger and syslogd already in QNX? /P On 10-07-06 03:57 PM, Rodrigo Madruga wrote: > Hello folks, > > I am searching for a C logging library to use in my programs. After a small research, it seems that Log4c is a good candidate. > > As I couldn't find a binary package from pkgsrc, I would like to know if anyone here has it for QNX 6.4.1, before getting my hands down to building it myself. > > Thanks > > > Rodrigo Madruga. > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post58777 > Tue, 06 Jul 2010 20:04:56 GMT http://community.qnx.com/sf/go/post58780 Patrik Lahti 2010-07-06T20:04:56Z post58777: Log4c binary http://community.qnx.com/sf/go/post58777 Hello folks, I am searching for a C logging library to use in my programs. After a small research, it seems that Log4c is a good candidate. As I couldn't find a binary package from pkgsrc, I would like to know if anyone here has it for QNX 6.4.1, before getting my hands down to building it myself. Thanks Rodrigo Madruga. Tue, 06 Jul 2010 19:57:10 GMT http://community.qnx.com/sf/go/post58777 Rodrigo Madruga 2010-07-06T19:57:10Z post55556: Re: smartmontools availiable? http://community.qnx.com/sf/go/post55556 With the help from the smartmontools project, I have been able to provide some changes to them, so with 5.40, revision 3110 the executable smartctl builds from source, without further modifications. I tried out under qnx6.4.1 and qnx6.5.0M9 both working. smartd is not working up to now, but having smartctl is a big deal anyway, I think. How can these changes be fed into pkgsrc? I appended the 6.5.0 executable and would appreciate anybody trying it out Wed, 26 May 2010 07:25:25 GMT http://community.qnx.com/sf/go/post55556 stefan thiel 2010-05-26T07:25:25Z post55436: Re: smartmontools availiable? http://community.qnx.com/sf/go/post55436 I was able to build one part of the package from sourceforge tarball and with the help of their mailing list. You find my patch and background information here. https://sourceforge.net/apps/trac/smartmontools/ticket/1 if you checkout there source with svn 3108, you can apply the attached patch and build it Next step is to build smartd... thanks for the help, stefan Mon, 24 May 2010 15:53:50 GMT http://community.qnx.com/sf/go/post55436 stefan thiel 2010-05-24T15:53:50Z post54926: Re: smartmontools availiable? http://community.qnx.com/sf/go/post54926 > look: > http://smartmontools.sourcearchive.com/documentation/5.39.1plus-psvn3060/ > os__qnxnto_8h-source.html > > http://smartmontools.sourcearchive.com/documentation/5.39.1plus-psvn3060/ > os__qnxnto_8cpp-source.html And try: http://smartmontools.sourcearchive.com/downloads/5.39.1plus-psvn3060-1/smartmontools_5.39.1+svn3060.orig.tar.gz Tue, 18 May 2010 10:39:23 GMT http://community.qnx.com/sf/go/post54926 bogdan celer 2010-05-18T10:39:23Z post54924: Re: smartmontools availiable? http://community.qnx.com/sf/go/post54924 look: http://smartmontools.sourcearchive.com/documentation/5.39.1plus-psvn3060/os__qnxnto_8h-source.html http://smartmontools.sourcearchive.com/documentation/5.39.1plus-psvn3060/os__qnxnto_8cpp-source.html Tue, 18 May 2010 10:26:01 GMT http://community.qnx.com/sf/go/post54924 bogdan celer 2010-05-18T10:26:01Z post54922: Re: smartmontools availiable? http://community.qnx.com/sf/go/post54922 I think that you should make os_qnxnto.c and os_qnxnto.h from os_linux.* or os_freebsd.* Tue, 18 May 2010 10:17:23 GMT http://community.qnx.com/sf/go/post54922 bogdan celer 2010-05-18T10:17:23Z post54921: Re: smartmontools availiable? http://community.qnx.com/sf/go/post54921 Hi bodgan, thanks for the hint. Configure now completes... But make still does not find getopt.h I changed the Makefile manually and added INCLUDES = -I/usr/pkg/inlcude This makes the build run a litte further but ends up with .... No rule to make target os_qnxnto.o, needed by smard Stop. For my simple understanding this means that qnx is not really supported anymore. I will ask in the mailing list of smartmontools about that and keep you informend bye, stefan Tue, 18 May 2010 09:41:36 GMT http://community.qnx.com/sf/go/post54921 stefan thiel 2010-05-18T09:41:36Z post54807: Re: smartmontools availiable? http://community.qnx.com/sf/go/post54807 Try ./configure CPPFLAGS=-I/usr/pkg/include LDFLAGS=-L/usr/pkg/lib LIBS=-lgetopt 2>&1 | tee Config.log and make 2>&1 | tee CC.log Sun, 16 May 2010 21:38:59 GMT http://community.qnx.com/sf/go/post54807 bogdan celer 2010-05-16T21:38:59Z post54797: smartmontools availiable? http://community.qnx.com/sf/go/post54797 Did anybody try to build the smartmontools? I tried the included version from SVN repository 5.38 but it tells me that QNX is not a supported plattform. I am new to porting packages, but I would give it a try if anybody can give me a hint how to start. I also checked their website at sourceforge, where the description is mentioning QNX as basically possible. But after downloading the 5.39 tarball I found that ./configure stops with getopt_long not availiable. I built libgetopt from pkgsrc and it is now installed and included on my system, but configure still can't "see" it. How do I get this lib included for configure... Any hints? Thanks, Stefan Sun, 16 May 2010 16:07:06 GMT http://community.qnx.com/sf/go/post54797 stefan thiel 2010-05-16T16:07:06Z post54037: Re: gcc4 in pkgsrc http://community.qnx.com/sf/go/post54037 Thanks a lot. Sebastian On 2010-05-10, at 6:07 AM, bogdan celer wrote: > Look to /HEAD_650/pkgsrc/lang/gcc44 => gcc4.4.3 > > There are also sources gcc4.4.2 on the my http://www.ajam.org.pl/. > > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post54018 > Mon, 10 May 2010 12:34:14 GMT http://community.qnx.com/sf/go/post54037 Sebastian Fischmeister 2010-05-10T12:34:14Z post54033: Re: gcc4 in pkgsrc http://community.qnx.com/sf/go/post54033 FYI, I believe 6.5.0 will have the gcc 4.4 toolchain, you can get a Alpha pre-release here: http://www.qnx.com/download/group.html?programid=20564 Cheers! /P Mon, 10 May 2010 12:21:11 GMT http://community.qnx.com/sf/go/post54033 Patrik Lahti 2010-05-10T12:21:11Z post54018: Re: gcc4 in pkgsrc http://community.qnx.com/sf/go/post54018 Look to /HEAD_650/pkgsrc/lang/gcc44 => gcc4.4.3 There are also sources gcc4.4.2 on the my http://www.ajam.org.pl/. Mon, 10 May 2010 10:07:39 GMT http://community.qnx.com/sf/go/post54018 bogdan celer 2010-05-10T10:07:39Z post54008: gcc4 in pkgsrc http://community.qnx.com/sf/go/post54008 Hello, Are there plans to integrate gcc-4 into pkgsrc? I found a binary version (http://www.ajam.org.pl/), but from source would be nice as well. Thanks, Sebastian Mon, 10 May 2010 03:46:55 GMT http://community.qnx.com/sf/go/post54008 Sebastian Fischmeister 2010-05-10T03:46:55Z post51126: Re: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post51126 I compiled Xphoton without problems. And so: # ./Xphoton (nto.c | 00317 | OsVendorInit): >>> Xphoton starting: X.Org X Server 1.6.3 Build Date: 20100405 Display mode: Rootless Photon (nto.c | 00278 | InitOutput ): InitOutput(816afc0,1...) [dix] Could not init font path element /usr/pkg/lib/X11/fonts/OTF, removing from list! (photonCursor.c | 00056 | PhotonRealizeCursor): >>> (photonCursor.c | 00056 | PhotonRealizeCursor): >>> (photonCursor.c | 00039 | PhotonCrossScreen): >>> (photonCursor.c | 00072 | PhotonSetCursor): >>> (photonCursor.c | 00056 | PhotonRealizeCursor): >>> (nto.c | 00255 | InitInput ): InitInput(1,...) (ntoEvents.c | 00061 | NtoEQInit): >>> (nto.c | 00194 | NtoMouseProc ): NtoMouseProc(8194138,0) (nto.c | 00225 | NtoKeybdProc ): NtoKeybdProc(817f2f0,0) Found keyboard file: en_US_101.kbd de_DE_102.kbd <-> en_US_101.kbd Keyboard fallback (nto.c | 00194 | NtoMouseProc ): NtoMouseProc(8194138,1) (nto.c | 00225 | NtoKeybdProc ): NtoKeybdProc(817f2f0,1) #pidin .......................... 841121877 1 ./s5ipc 10r SIGWAITINFO 841121877 2 ./s5ipc 10r RECEIVE 1 843104289 1 r/photon/bin/pterm 10r RECEIVE 1 843104294 1 bin/sh 10r REPLY 180243 843329560 1 usr/photon/bin/ped 10r REPLY 253983 843329575 1 ./Xphoton 10r SIGWAITINFO # # xlogo Warning: Cannot convert string "xlogo32" to type Pixmap and 843329575 1 ./Xphoton 10r SIGWAITINFO 843358248 1 usr/pkg/bin/xlogo 10r SIGWAITINFO (nto.c | 00225 | NtoKeybdProc ): NtoKeybdProc(817f2f0,1) New Window 0,0 102x102 root 0 Redirect 0 create wdw = 820cac0, wid = 83b22c0 PtRealizeWidget ret = 0 (errno 0) rid = 107 got_focusfn lost_focusfn Everything is all right, but when I move xlogo window the problem appears 843329575 1 ./Xphoton 10r READY 843358248 1 usr/pkg/bin/xlogo 10r SIGWAITINFO and after closed xlogo: lost_focusfn got_focusfn lost_focusfn destroy wdw = 820cac0 (photonCursor.c | 00072 | PhotonSetCursor): >>> (nto.c | 00317 | OsVendorInit): >>> Xphoton starting: X.Org X Server 1.6.3 Build Date: 20100405 Display mode: Rootless Photon (nto.c | 00278 | InitOutput ): InitOutput(816afc0,1...) [dix] Could not init font path element /usr/pkg/lib/X11/fonts/OTF, removing from list! (photonCursor.c | 00056 | PhotonRealizeCursor): >>> (photonCursor.c | 00039 | PhotonCrossScreen): >>> (photonCursor.c | 00072 | PhotonSetCursor): >>> (nto.c | 00255 | InitInput ): InitInput(1,...) (ntoEvents.c | 00061 | NtoEQInit): >>> (nto.c | 00194 | NtoMouseProc ): NtoMouseProc(8347780,0) (nto.c | 00225 | NtoKeybdProc ): NtoKeybdProc(8347548,0) Found keyboard file: en_US_101.kbd de_DE_102.kbd <-> en_US_101.kbd Keyboard fallback (nto.c | 00194 | NtoMouseProc ): NtoMouseProc(8347780,1) (nto.c | 00225 | NtoKeybdProc ): NtoKeybdProc(8347548,1) but 843329575 1 ./Xphoton 10r READY I have the return to the state "./Xphoton 10r SIGWAITINFO" in the case of the old version Xphoton. This same is when I change the size of the window. New xphoton still stays in the READY state after change the size when old xphoton go to SIGWAITINFO bogdan Mon, 05 Apr 2010 12:49:12 GMT http://community.qnx.com/sf/go/post51126 bogdan celer 2010-04-05T12:49:12Z post50762: FINALLY: xphoton for QNX 6.4.1 alpha - please test! http://community.qnx.com/sf/go/post50762 Hello there, finally....! I got a running version of xphoton for modular-xorg-server. It took me some time to create the patch. Be warned, this patch will kill your old xorg installation (if you had one running yet). 1. cd into your modular-xorg-server directory (e.g. cd /usr/ports/x11/modular-xorg-server) 2. "bmake clean" first, because I needed to change some things on the build environment 3. Delete your old Xorg installation if you have one (e.g. pkg_delete xorg-server-1.6.3) 4. Download the attachment and apply it on the directory (patch -p0 < xphoton-for-modular-xorg-server.patch) 5. bmake 6. bmake install 7. Run with Xphoton - the rootless X server will now run with many debug messages 8. Start xpdf in another console (tested), xmore (tested), xcalc or some other basic X applications Have fun and please test it. The patch and the code are party hacked down but I did not have much more time. I hope he're some interested people :-) Best regards, André Wösten Mon, 29 Mar 2010 21:14:59 GMT http://community.qnx.com/sf/go/post50762 André Wösten 2010-03-29T21:14:59Z post47000: PostgreSQL for 6.4.1 http://community.qnx.com/sf/go/post47000 When I try to build PostgreSQL from pkgsrc (6.4.1), I get error: => Fixing locale directory references. configure: WARNING: If you wanted to set the --build type, don't use --host. If a cross compiler is detected then cross compile mode will be used. checking build system type... i386-pc-nto-qnx6.4.1 checking host system type... i386-pc-nto-qnx6.4.1 checking which template to use... configure: error: 'qnx' is not a valid template name. Use 'list' for a list. *** Error code 1 Stop. bmake: stopped in /pkgsrc/databases/postgresql83-client *** Error code 1 Can anybody help me? Other packages build successful. Wed, 10 Feb 2010 08:51:51 GMT http://community.qnx.com/sf/go/post47000 Pavel Gololobov 2010-02-10T08:51:51Z post46893: Re: Build arping on QNX 6.3.2 http://community.qnx.com/sf/go/post46893 On Tue, Feb 09, 2010 at 02:49:44AM -0500, Pavel Vlasov wrote: > Hello! I try to build arping utility for 6.3.2, but not successful. It demands libnet and libpcap. > > I have build Arping, Libnet and Libpcap from source code, but they not work.. 6.3.2 didn't ship with BPF support so libpcap won't work. You may have better luck on 6.4.1. Regards, -seanb Tue, 09 Feb 2010 13:06:43 GMT http://community.qnx.com/sf/go/post46893 Sean Boudreau 2010-02-09T13:06:43Z post46876: Build arping on QNX 6.3.2 http://community.qnx.com/sf/go/post46876 Hello! I try to build arping utility for 6.3.2, but not successful. It demands libnet and libpcap. I have build Arping, Libnet and Libpcap from source code, but they not work.. Help me, please! Tue, 09 Feb 2010 07:49:44 GMT http://community.qnx.com/sf/go/post46876 Pavel Vlasov 2010-02-09T07:49:44Z post43260: Re: RE: Perl for 641 http://community.qnx.com/sf/go/post43260 I also got those errors and used following workaround: When I included limits.h and unistd.h in util.c and locale.c and declared environ as extern char ** it worked. I know this is really hackish but understanding the build system of perl was too much for me :) Sean, do you have a real patch for that? Sat, 05 Dec 2009 21:41:48 GMT http://community.qnx.com/sf/go/post43260 André Wösten 2009-12-05T21:41:48Z post41190: Re: RE: boost, xerces-c, subversion http://community.qnx.com/sf/go/post41190 Dear Mario, I understand your point of view. On this site I have put binary packages for my students and university team. We needed ie. more recent subversion package to use it with our own SVN server. I do development on several QNX machines and often compiling packages from pkgsrc require changes in several places. This make difficult to provide the community with clean pkgsrc solution. Please find the patches for boost attached. You can compile it with the following added to your mk.conf: PKGSRC_COMPILER=qcc PKG_CPP=ntox86-cpp ALLOW_VULNERABLE_PACKAGES=yes USE_LANGUAGES+=c++ USE_LANGUAGES+=c Best regards, -- Piotr Trojanek Mon, 02 Nov 2009 22:29:01 GMT http://community.qnx.com/sf/go/post41190 Piotr Trojanek 2009-11-02T22:29:01Z post41189: RE: boost, xerces-c, subversion http://community.qnx.com/sf/go/post41189 > -----Original Message----- > From: Piotr Trojanek [mailto:community-noreply@qnx.com] > Sent: Monday, November 02, 2009 4:44 PM > To: pkginfo-pkgsrc > Subject: boost, xerces-c, subversion > > Dear all, > > please enjoy some 6.4.1 packages pkgsrc packages compiled from pkg > (with some handtuning). > Patches for pkgsrc are on the way. Hot stuff: > > Boost (headers & libraries), subversion (1.6.x branch), xerces-s (plase > take care with XERCESC_NLS_HOME environment variable, I'm not sure > about this point). > > http://segomo.elka.pw.edu.pl/qnx/QNX/i386/6.4.1_head_our_packages/All/ No offense intented M. Trojanek, but I wouldn`t recommend downloading any executable but from the official site. > > Cheers, > > > > _______________________________________________ > > PkgInfo > http://community.qnx.com/sf/go/post41188 > Mon, 02 Nov 2009 21:48:54 GMT http://community.qnx.com/sf/go/post41189 Mario Charest 2009-11-02T21:48:54Z post41188: boost, xerces-c, subversion http://community.qnx.com/sf/go/post41188 Dear all, please enjoy some 6.4.1 packages pkgsrc packages compiled from pkg (with some handtuning). Patches for pkgsrc are on the way. Hot stuff: Boost (headers & libraries), subversion (1.6.x branch), xerces-s (plase take care with XERCESC_NLS_HOME environment variable, I'm not sure about this point). http://segomo.elka.pw.edu.pl/qnx/QNX/i386/6.4.1_head_our_packages/All/ Cheers, Mon, 02 Nov 2009 21:44:26 GMT http://community.qnx.com/sf/go/post41188 Piotr Trojanek 2009-11-02T21:44:26Z post37864: Re: modular x-window http://community.qnx.com/sf/go/post37864 > is there any road map to enable the graphics cards drivers regarding the > LD_LAZY problem ? The tools guys are already onto this. We are not sure if it will make it to the next release, but certainly would keep people notified. > Would it be a workaround to build a wrapper library that will simply load the > graphic and has dummy functions to the unresolved symbols ? For simple one (like the vmware driver), you can choose to link all it's required library, this way, a DL_NEEDED would be insert into the .so, and all required drivers will be loaded at the same time. However, I have encounted more complicated drivers, where this method may not work. Sun, 13 Sep 2009 15:44:52 GMT http://community.qnx.com/sf/go/post37864 Xiaodan Tang(deleted) 2009-09-13T15:44:52Z post37795: Re: modular x-window http://community.qnx.com/sf/go/post37795 is there any road map to enable the graphics cards drivers regarding the LD_LAZY problem ? Would it be a workaround to build a wrapper library that will simply load the graphic and has dummy functions to the unresolved symbols ? Fri, 11 Sep 2009 10:07:03 GMT http://community.qnx.com/sf/go/post37795 Kasberger Andreas 2009-09-11T10:07:03Z post37647: Re: modular x-window http://community.qnx.com/sf/go/post37647 You are absolutely right. It's been a while I forgot all the details. :( Yes, I end up setting LD_LIBRARY_PATH to make sure X server can find the shared objects. And also, the devi-hid is important (I think I put that line in startx script already ...) X windows are heavily rely on MAP_LAZY, since currently QNX do not support MAP_LAZY, this is the reason why a lot of video driver would complain "Unknown Symbols". We are working on address this issue. I think Sean just drop the latest X window in. I am trying to make sure the source will clean built this time. -xtang > After some trials and errors I have managed to run X windows with VESA video > mode driver (on NVidia GPU) with 24bpp, USB mouse and PS/2 keyboard. > > These are the necessary steps: > > As you have reported - there is an issue with loading Xserver modules. I > believe this is related to library loading path, because this is handled > automatically on Linux. Solution are: > 1) preloading libraries as described > 2) explicity list the required modules in xorg.conf (see attachments url below > ). > > The next step is to compile xf86-input-keyboard driver from source (with some > easy pkgsrc tricks) or download my build. > > Then switch off Photon and enter text mode (using "Shutdown" button on login > screen). The last command is: > /usr/photon/bin/devi-hid -Pr mouse kbd; startx > > This is crucial to start these both as one command, becasue devi-hid overtakes > keyboard from text console. You should also have xinit, xterm and some other > base packages installed. > > My files are here: > > http://home.elka.pw.edu.pl/~ptrojane/QNX641/ > > I have running xterm,xeyes,links in graphics mode. I have also compiled icewm > with disabled i18n. > > I believe, that we are in the point, where some work should be taken to make > more packages from pkgsrc compile under QNX. Wed, 09 Sep 2009 13:53:36 GMT http://community.qnx.com/sf/go/post37647 Xiaodan Tang(deleted) 2009-09-09T13:53:36Z post37644: Re: modular x-window http://community.qnx.com/sf/go/post37644 Hi, you are absolutely right with the library things. I have one question. What do you mean with "easy tricks" in pkgsrc ? I have tried that before but the configure script was quitting wit (somethign like) "unsupported operating system" message. Can you tell me the trick ? For the command lines I'm using telnet sessions from my Windows computer so I can start and quit all the things separately. A lot of programs are already running even the Qt/X11 is running fine here so I assume all Qt based things are no problem. Now I'm just trying to get the touchscreen running. Things to do for example: Support of newest X versions and window managers like KDE The main problems with the port would be the lack of open/gl stuff and driver for graphic cards. Wed, 09 Sep 2009 13:42:09 GMT http://community.qnx.com/sf/go/post37644 Kasberger Andreas 2009-09-09T13:42:09Z post37615: Re: modular x-window http://community.qnx.com/sf/go/post37615 After some trials and errors I have managed to run X windows with VESA video mode driver (on NVidia GPU) with 24bpp, USB mouse and PS/2 keyboard. These are the necessary steps: As you have reported - there is an issue with loading Xserver modules. I believe this is related to library loading path, because this is handled automatically on Linux. Solution are: 1) preloading libraries as described 2) explicity list the required modules in xorg.conf (see attachments url below). The next step is to compile xf86-input-keyboard driver from source (with some easy pkgsrc tricks) or download my build. Then switch off Photon and enter text mode (using "Shutdown" button on login screen). The last command is: /usr/photon/bin/devi-hid -Pr mouse kbd; startx This is crucial to start these both as one command, becasue devi-hid overtakes keyboard from text console. You should also have xinit, xterm and some other base packages installed. My files are here: http://home.elka.pw.edu.pl/~ptrojane/QNX641/ I have running xterm,xeyes,links in graphics mode. I have also compiled icewm with disabled i18n. I believe, that we are in the point, where some work should be taken to make more packages from pkgsrc compile under QNX. Wed, 09 Sep 2009 09:46:49 GMT http://community.qnx.com/sf/go/post37615 Piotr Trojanek 2009-09-09T09:46:49Z post37611: Re: modular x-window http://community.qnx.com/sf/go/post37611 I tried the configuration for mosue and keyboard again but the result was as expected Here the input sections: Section "InputDevice" Identifier "Keyboard0" Driver "kbd" Option "Protocol" "hid" EndSection Section "InputDevice" Identifier "Mouse0" Driver "mouse" Option "Protocol" "hid" Option "Device" "/dev/devi/mouse0" Option "ZAxisMapping" "4 5 6 7" EndSection and here the RESULT : ... ... (EE) Failed to load module "kbd" (module does not exist, 0) (II) Module "ddc" already built-in (EE) Mouse0: cannot open '/dev/devi/mouse0' (EE) PreInit failed for input device "Mouse0" (EE) No Input driver matching `kbd' ... .. The problem is that simply the input drivers are not there Wed, 09 Sep 2009 08:09:58 GMT http://community.qnx.com/sf/go/post37611 Kasberger Andreas 2009-09-09T08:09:58Z post37610: Re: modular x-window http://community.qnx.com/sf/go/post37610 Hi, I hope I can help you. I'm only able to run a serial mosue atatched and virtual keyboard only but it is working perfectly fine. first you have to add a lot of libraries for LD_PRELOAD so you will avoid the unresolved symbols. export LD_PRELOAD=libvgahw.so:libint10.so:libfb.so:libxf1bpp.so:libxf4bpp.so:libshadowfb.so and attach here my xorg.conf configuration I hope this helps. I have compiled all packages here but there was no difference to the binaries. So the versions are quite old but running copy the xorg.conf file to /etc/X11 so you can simply start the X server. And then I start the fvwm Wed, 09 Sep 2009 08:03:13 GMT http://community.qnx.com/sf/go/post37610 Kasberger Andreas 2009-09-09T08:03:13Z post37592: Re: modular x-window http://community.qnx.com/sf/go/post37592 Does it help, if you add these section into your /usr/pkg/etc/X11/xorg.conf file? Section "InputDevice" Identifier "Keyboard0" Driver "kbd" Option "Protocol" "hid" EndSection Section "InputDevice" Identifier "Mouse0" Driver "mouse" Option "Protocol" "hid" Option "Device" "/dev/devi/mouse0" Option "ZAxisMapping" "4 5 6 7" EndSection Tue, 08 Sep 2009 23:42:34 GMT http://community.qnx.com/sf/go/post37592 Xiaodan Tang(deleted) 2009-09-08T23:42:34Z post37575: Re: modular x-window http://community.qnx.com/sf/go/post37575 Can you describe details and attach your configuration (xorg.conf, pkg_info output)? I am trying to run Xorg server, but I got just "Unresolved symbols" from all the video drivers (vga/nv/vesa). Tue, 08 Sep 2009 20:42:08 GMT http://community.qnx.com/sf/go/post37575 Piotr Trojanek 2009-09-08T20:42:08Z post37478: Re: RE: Perl for 641 http://community.qnx.com/sf/go/post37478 Yes I'm using pkgsrc... When I install this perl-package configure of gtk2+ fails: checking for perl... /usr/pkg/bin/perl checking for perl >= 5.8.1... Can't find string terminator '"' anywhere before EOF at -e line 1. Mon, 07 Sep 2009 17:07:05 GMT http://community.qnx.com/sf/go/post37478 Michael Pfeiffer 2009-09-07T17:07:05Z post37476: Re: Contribute patches http://community.qnx.com/sf/go/post37476 So please find them attached. During compilation of libX11, libXext and libXt I found that the configure-script does not work under 6.4.1. The attached patches are the diff between the original configure file and my modified pkgsrc-file. Hope that is somehow helpful. Mon, 07 Sep 2009 16:26:09 GMT http://community.qnx.com/sf/go/post37476 Michael Pfeiffer 2009-09-07T16:26:09Z post37457: XServer/Xfree driver for USB mouse needed http://community.qnx.com/sf/go/post37457 as reported I got XServer/Xfree running with serial mouse and fvwm95 windowmanager and QT/X11 http://community.qnx.com/sf/discussion/do/listPosts/projects.pkgsrc/discussion.pkginfo.topc9535?pageSize=-1#post_post36852 Now I would need a mouse driver for USB Mon, 07 Sep 2009 10:26:14 GMT http://community.qnx.com/sf/go/post37457 Kasberger Andreas 2009-09-07T10:26:14Z post37456: XServer/Xfree driver for ELO touchscreen with serial/USB needed http://community.qnx.com/sf/go/post37456 as reported I got XServer/Xfree running with serial mouse and fvwm95 windowmanager and QT/X11 http://community.qnx.com/sf/discussion/do/listPosts/projects.pkgsrc/discussion.pkginfo.topc9535?pageSize=-1#post_post36852 I need now a touchscreen driver for ELO touch. I'm not able to compile any package for this one Mon, 07 Sep 2009 10:26:06 GMT http://community.qnx.com/sf/go/post37456 Kasberger Andreas 2009-09-07T10:26:06Z post37454: XServer/Xfree driver for USB keyboard needed http://community.qnx.com/sf/go/post37454 as reported I got XServer/Xfree running with serial mouse and fvwm95 windowmanager and QT/X11 http://community.qnx.com/sf/discussion/do/listPosts/projects.pkgsrc/discussion.pkginfo.topc9535?pageSize=-1#post_post36852 Now I would need a keyboard driver for USB. I was not able to get it running Mon, 07 Sep 2009 10:24:52 GMT http://community.qnx.com/sf/go/post37454 Kasberger Andreas 2009-09-07T10:24:52Z post37219: Re: Contribute patches http://community.qnx.com/sf/go/post37219 On Tue, Sep 01, 2009 at 01:40:53AM -0400, Michael Pfeiffer wrote: > Hi, > > I'm currently playing with pkgsrc and found some things that have to be modified. The changes are related to the configure-script of some X11-libraries. > > So if I want to contribute these modifications so that others can compile them without troubles: > > - what is the best way to integrate patches into the pkgsrc environment that have to be applied to downloaded data > > and > > - where shall I send the .diff-files to? You can post diffs to the general forum. Regards, -seanb Wed, 02 Sep 2009 18:14:01 GMT http://community.qnx.com/sf/go/post37219 Sean Boudreau 2009-09-02T18:14:01Z post37214: Re: RE: Perl for 641 http://community.qnx.com/sf/go/post37214 On Wed, Sep 02, 2009 at 01:48:27PM -0400, Michael Pfeiffer wrote: > > In the mean while, you should be able to build Perl5 yourself. I think > > it's just bmake and all should "just build" (don't remember I had any > > problem with building it). > > I afraid that doesn't works, I get the following error and don'T have any idea why: > > util.c: In function 'S_write_no_mem': > util.c:65: warning: implicit declaration of function 'write' > util.c: In function 'Perl_my_setenv': > util.c:1631: error: 'environ' undeclared (first use in this function) Are you building from pkgsrc? This particular issue is probably fixed by the attached patch (the -U__STRICT_ANSI__ part). At any rate there's a perl for 6.4.1 here: ftp://ftp.netbsd.org/pub/pkgsrc/packages/QNX/i386/6.4.1_head_20090724/All/perl-5.10.0nb6.tgz Please see the binary packages page: http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/BinaryPackages -seanb Wed, 02 Sep 2009 18:03:18 GMT http://community.qnx.com/sf/go/post37214 Sean Boudreau 2009-09-02T18:03:18Z post37208: Re: RE: Perl for 641 http://community.qnx.com/sf/go/post37208 > In the mean while, you should be able to build Perl5 yourself. I think > it's just bmake and all should "just build" (don't remember I had any > problem with building it). I afraid that doesn't works, I get the following error and don'T have any idea why: util.c: In function 'S_write_no_mem': util.c:65: warning: implicit declaration of function 'write' util.c: In function 'Perl_my_setenv': util.c:1631: error: 'environ' undeclared (first use in this function) Wed, 02 Sep 2009 17:48:26 GMT http://community.qnx.com/sf/go/post37208 Michael Pfeiffer 2009-09-02T17:48:26Z post36997: Contribute patches http://community.qnx.com/sf/go/post36997 Hi, I'm currently playing with pkgsrc and found some things that have to be modified. The changes are related to the configure-script of some X11-libraries. So if I want to contribute these modifications so that others can compile them without troubles: - what is the best way to integrate patches into the pkgsrc environment that have to be applied to downloaded data and - where shall I send the .diff-files to? Tue, 01 Sep 2009 05:40:53 GMT http://community.qnx.com/sf/go/post36997 Michael Pfeiffer 2009-09-01T05:40:53Z post36852: modular x-window http://community.qnx.com/sf/go/post36852 Hi! I'm testing modular-x-window on QNX 6.4.1-i386. First I have installed all binary packages according to X11 from the pkgsrc-repository using the pkg_add command. After a lot of trials and confirurations I'm now able to start the X.Org X Server 1.4.2 with fvwm window manager and some x-Apps like xcalc, xterm, xeyes etc. In general it works fine, but there are some problems: 1. I have no support to the keyboard bekause the libkbd.so file is missing! It should be part of the xf86-input-keyboard package which isn't present on the repository. 2. Currently I'm using a serial mouse which is working very fine. I'm not able to connect a PS/2- or a USM-Mouse because it is recommended to specify a device file (/dev/*) in the xorg.conf file. I don't know, which are the correct device files. 3. At this moment the X-Server can only run in vga mode. svga or vesa don't start. 4. It seems that the xorg-packages are outdated. Is it very complicated to distribute newer versions? I hope someone can help me! Thanks Andi Fri, 28 Aug 2009 10:05:20 GMT http://community.qnx.com/sf/go/post36852 Kasberger Andreas 2009-08-28T10:05:20Z post35133: Re: bulk build try http://community.qnx.com/sf/go/post35133 > On Tue, Jul 28, 2009 at 05:51:41AM -0400, Michael Tatarinov wrote: > > I can not see http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/ > wiki/PackageStatus (The page you requested cannot be found.) > > Where do you see that link? I deleted the PackageStatus > page recently and started a bulk build page (not at all > complete yet). > > -seanb http://community.qnx.com/sf/discussion/do/listPosts/projects.pkgsrc/discussion.pkginfo.topc1281 where you can see the status? thanks Mon, 03 Aug 2009 07:57:48 GMT http://community.qnx.com/sf/go/post35133 Michael Tatarinov(deleted) 2009-08-03T07:57:48Z post34703: Re: bulk build try http://community.qnx.com/sf/go/post34703 On Tue, Jul 28, 2009 at 05:51:41AM -0400, Michael Tatarinov wrote: > I can not see http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/PackageStatus (The page you requested cannot be found.) Where do you see that link? I deleted the PackageStatus page recently and started a bulk build page (not at all complete yet). -seanb Tue, 28 Jul 2009 13:11:12 GMT http://community.qnx.com/sf/go/post34703 Sean Boudreau 2009-07-28T13:11:12Z post34691: Re: bulk build try http://community.qnx.com/sf/go/post34691 I can not see http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/PackageStatus (The page you requested cannot be found.) Tue, 28 Jul 2009 09:51:41 GMT http://community.qnx.com/sf/go/post34691 Michael Tatarinov(deleted) 2009-07-28T09:51:41Z post33809: RE: RE: Perl for 641 http://community.qnx.com/sf/go/post33809 The individual packages uploaded on F27, is actually 6.3.2 binary packages. For 6.4.0 packages, you can set your PKG_PATH to ftp://ftp.NetBSD.org/pub/pkgsrc/packages/QNX/i386/6.4.0_head_20081005/Al l, and just do a pkg_add It is "6.4.0 packages" only because we built it on 6.4.0, doesn't mean it won't work on 6.4.1 though. I think you can pkg_add the 6.4.0 perl5 and it would just work on your 6.4.1 neutrino. -xtang > -----Original Message----- > From: John Lawniczak [mailto:community-noreply@qnx.com] > Sent: July 15, 2009 8:16 AM > To: pkginfo-pkgsrc > Subject: Re: RE: Perl for 641 > > > I believe Sean is trying to do a full build on HEAD_641 branch, and > > upload the binary packages. > > So right now there are many packages that are already uploaded are they > built for 641? or are they just place holders right now? > > > > > _______________________________________________ > PkgInfo > http://community.qnx.com/sf/go/post33798 Wed, 15 Jul 2009 12:48:33 GMT http://community.qnx.com/sf/go/post33809 Xiaodan Tang(deleted) 2009-07-15T12:48:33Z post33798: Re: RE: Perl for 641 http://community.qnx.com/sf/go/post33798 > I believe Sean is trying to do a full build on HEAD_641 branch, and > upload the binary packages. So right now there are many packages that are already uploaded are they built for 641? or are they just place holders right now? Wed, 15 Jul 2009 12:16:03 GMT http://community.qnx.com/sf/go/post33798 John Lawniczak 2009-07-15T12:16:03Z post33764: RE: Perl for 641 http://community.qnx.com/sf/go/post33764 I believe Sean is trying to do a full build on HEAD_641 branch, and upload the binary packages. In the mean while, you should be able to build Perl5 yourself. I think it's just bmake and all should "just build" (don't remember I had any problem with building it). -xtang > -----Original Message----- > From: John Lawniczak [mailto:community-noreply@qnx.com] > Sent: July 14, 2009 10:22 AM > To: pkginfo-pkgsrc > Subject: Perl for 641 > > I would like to request that a perl 5 package be made. > Thanks ahead of time. > > _______________________________________________ > PkgInfo > http://community.qnx.com/sf/go/post33737 Tue, 14 Jul 2009 18:59:27 GMT http://community.qnx.com/sf/go/post33764 Xiaodan Tang(deleted) 2009-07-14T18:59:27Z post33737: Perl for 641 http://community.qnx.com/sf/go/post33737 I would like to request that a perl 5 package be made. Thanks ahead of time. Tue, 14 Jul 2009 14:22:00 GMT http://community.qnx.com/sf/go/post33737 John Lawniczak 2009-07-14T14:22:00Z post17715: Re: modular-xorg in progress http://community.qnx.com/sf/go/post17715 I'm not able to get a native Xfree running on QNX and XPhoton is horribly slow, freezing sometimes the Photon and has some bugs with input. Tue, 02 Dec 2008 07:40:11 GMT http://community.qnx.com/sf/go/post17715 Kasberger Andreas 2008-12-02T07:40:11Z post17713: Re: modular-xorg in progress http://community.qnx.com/sf/go/post17713 I have full XFree86, but I used at this moment XPhoton. Tue, 02 Dec 2008 06:58:38 GMT http://community.qnx.com/sf/go/post17713 bogdan celer 2008-12-02T06:58:38Z post17609: Re: modular-xorg in progress http://community.qnx.com/sf/go/post17609 You are using XFree86-4.7.99 ? Is this the native XFree or still the XPhoton emulation ? Is it simply compileable or where can I get binaries or some help to compile this ? Mon, 01 Dec 2008 10:32:06 GMT http://community.qnx.com/sf/go/post17609 Kasberger Andreas 2008-12-01T10:32:06Z post17601: Re: modular-xorg in progress http://community.qnx.com/sf/go/post17601 I use XFree/XPhoton in 6.4.0, but I use XFree86-4.7.99 because X.org don`t work with XPhoton Sun, 30 Nov 2008 17:20:06 GMT http://community.qnx.com/sf/go/post17601 bogdan celer 2008-11-30T17:20:06Z post17523: Re: Bootstrap Binary Kit http://community.qnx.com/sf/go/post17523 Hi, not working on official 6.4.0 release. # tar -xzUvf /tmp/bootstrap-pkgsrc-QNX-6.3.2-x86-20071009.tar.gz ./usr/ tar: ./usr: Cannot unlink: Directory not empty ./usr/pkg/ tar: ./usr/pkg: Cannot unlink: Directory not empty ./usr/pkg/share/ tar: ./usr/pkg/share: Cannot unlink: Directory not empty ./usr/pkg/share/mk/ tar: ./usr/pkg/share/mk: Cannot unlink: Directory not empty ...... many other unlink errors occur /usr/pkg/lib dir does not exist afterwards (when I untar to /tmp I get no errors but it seems that there is no pkg/lib inside the tar) Fri, 28 Nov 2008 13:01:48 GMT http://community.qnx.com/sf/go/post17523 stefan thiel 2008-11-28T13:01:48Z post17514: Re: modular-xorg in progress http://community.qnx.com/sf/go/post17514 Hi, we are also in need of XFree/XPhoton as our current design is based on this. Otherwise we cannot upgrade to 6.4.0. Stefan Fri, 28 Nov 2008 11:38:33 GMT http://community.qnx.com/sf/go/post17514 stefan thiel 2008-11-28T11:38:33Z post16128: Re: QNx package info - 8641 http://community.qnx.com/sf/go/post16128 On Thu, Nov 06, 2008 at 01:16:35PM -0500, murugadoss v wrote: > Hi, > I need to port qnx on mpc8641D board. I have downloaded the > bsp-freescale-mpc8641d-1.0.0-20080208-binsrc.zip package and trying on the > board. Im geting the qnx prompt. i am using 6.3.2 version. > > Is there any information you can share with me, that can help me. > If u have the binary package for this board, please share with me along > with the source. I'm not sure this is a pkgsrc question. pkgsrc hasn't been attempted on ppc. Maybe ask in the bsp group? -seanb Thu, 06 Nov 2008 18:46:09 GMT http://community.qnx.com/sf/go/post16128 Sean Boudreau 2008-11-06T18:46:09Z post16121: QNx package info - 8641 http://community.qnx.com/sf/go/post16121 Hi, I need to port qnx on mpc8641D board. I have downloaded the bsp-freescale-mpc8641d-1.0.0-20080208-binsrc.zip package and trying on the board. Im geting the qnx prompt. i am using 6.3.2 version. Is there any information you can share with me, that can help me. If u have the binary package for this board, please share with me along with the source. Thank u V.Murugadoss Thu, 06 Nov 2008 18:16:34 GMT http://community.qnx.com/sf/go/post16121 murugadoss v 2008-11-06T18:16:34Z post14937: Re: modular-xorg in progress http://community.qnx.com/sf/go/post14937 Can you keep us informed about your progress? I'm also interested in this. Thanks, Florentin Tue, 14 Oct 2008 12:14:14 GMT http://community.qnx.com/sf/go/post14937 Florentin Picioroaga 2008-10-14T12:14:14Z post8417: Re: Please upgrades vulnerables packages http://community.qnx.com/sf/go/post8417 And don't forget to remove the package's patch. Sun, 25 May 2008 14:05:54 GMT http://community.qnx.com/sf/go/post8417 Sapa Nicolas(deleted) 2008-05-25T14:05:54Z post8416: Re: Please upgrades vulnerables packages http://community.qnx.com/sf/go/post8416 For devel/m4, you also need to update the distinfo with http://cvsweb.netbsd.se/cgi-bin/bsdweb.cgi/pkgsrc/devel/m4/distinfo.diff?r1=1.20;r2=1.21;f=h;f=u Sun, 25 May 2008 13:35:22 GMT http://community.qnx.com/sf/go/post8416 Sapa Nicolas(deleted) 2008-05-25T13:35:22Z post8415: Please upgrades vulnerables packages http://community.qnx.com/sf/go/post8415 Hello. Trying to build bash, i found some vulnerable package. Generally, you only need to update the Makefile. * archivers/bzip2 http://cvsweb.netbsd.se/cgi-bin/bsdweb.cgi/pkgsrc/archivers/bzip2/Makefile.diff?r1=1.46;r2=1.47;f=h * devel/m4 http://cvsweb.netbsd.se/cgi-bin/bsdweb.cgi/pkgsrc/devel/m4/Makefile.diff?r1=1.52;r2=1.53;f=h;f=u Thanks. Sun, 25 May 2008 13:29:25 GMT http://community.qnx.com/sf/go/post8415 Sapa Nicolas(deleted) 2008-05-25T13:29:25Z post5939: Re: install gcc http://community.qnx.com/sf/go/post5939 On Tue, Mar 18, 2008 at 06:05:13PM -0400, romulus romulus wrote: > I am new in qnx. > I want to install gcc , I tried to access cd-rom from paackage manager and I get this error Unable to acces file:///fs/cd0/repository2. > I have installed QNX in VMware. > Any help I will appreciate > Thanks in advance qnx comes with gcc: # ls -l ${QNX_HOST}/usr/bin/*gcc* -rwxrwxr-t 1 root root 77944 Sep 22 2005 /usr/qnx632/host/qnx6/x86/usr/bin/arm-unknown-nto-qnx6.3.0-gcc lrwxrwxrwx 1 root techies 17 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/gcc -> ntox86-gcc-2.95.3 -rwxrwxr-t 1 root root 75736 Sep 22 2005 /usr/qnx632/host/qnx6/x86/usr/bin/i386-pc-nto-qnx6.3.0-gcc -rwxrwxr-t 1 root root 76376 Sep 22 2005 /usr/qnx632/host/qnx6/x86/usr/bin/mips-unknown-nto-qnx6.3.0-gcc lrwxrwxrwx 1 root techies 17 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntoarm-gcc -> ntoarm-gcc-2.95.3 -rwxrwxr-t 1 root root 66037 Jun 21 2005 /usr/qnx632/host/qnx6/x86/usr/bin/ntoarm-gcc-2.95.3 lrwxrwxrwx 1 root techies 28 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntoarm-gcc-3.3.5 -> arm-unknown-nto-qnx6.3.0-gcc lrwxrwxrwx 1 root techies 18 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntomips-gcc -> ntomips-gcc-2.95.3 -rwxrwxr-t 1 root root 66578 Jun 21 2005 /usr/qnx632/host/qnx6/x86/usr/bin/ntomips-gcc-2.95.3 lrwxrwxrwx 1 root techies 29 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntomips-gcc-3.3.5 -> mips-unknown-nto-qnx6.3.0-gcc lrwxrwxrwx 1 root techies 17 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntoppc-gcc -> ntoppc-gcc-2.95.3 -rwxrwxr-t 1 root root 71773 Jun 21 2005 /usr/qnx632/host/qnx6/x86/usr/bin/ntoppc-gcc-2.95.3 lrwxrwxrwx 1 root techies 32 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntoppc-gcc-3.3.5 -> powerpc-unknown-nto-qnx6.3.0-gcc lrwxrwxrwx 1 root techies 16 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntosh-gcc -> ntosh-gcc-2.95.3 -rwxrwxr-t 1 root root 63908 Jun 21 2005 /usr/qnx632/host/qnx6/x86/usr/bin/ntosh-gcc-2.95.3 lrwxrwxrwx 1 root techies 27 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntosh-gcc-3.3.5 -> sh-unknown-nto-qnx6.3.0-gcc lrwxrwxrwx 1 root techies 17 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntox86-gcc -> ntox86-gcc-2.95.3 -rwxrwxr-t 1 root root 64673 Jun 21 2005 /usr/qnx632/host/qnx6/x86/usr/bin/ntox86-gcc-2.95.3 lrwxrwxrwx 1 root techies 24 Sep 14 2007 /usr/qnx632/host/qnx6/x86/usr/bin/ntox86-gcc-3.3.5 -> i386-pc-nto-qnx6.3.0-gcc -rwxrwxr-t 1 root root 86072 Sep 22 2005 /usr/qnx632/host/qnx6/x86/usr/bin/powerpc-unknown-nto-qnx6.3.0-gcc -rwxrwxr-t 1 root root 75704 Sep 22 2005 /usr/qnx632/host/qnx6/x86/usr/bin/sh-unknown-nto-qnx6.3.0-gcc Wed, 19 Mar 2008 12:55:04 GMT http://community.qnx.com/sf/go/post5939 Sean Boudreau 2008-03-19T12:55:04Z post5924: install gcc http://community.qnx.com/sf/go/post5924 I am new in qnx. I want to install gcc , I tried to access cd-rom from paackage manager and I get this error Unable to acces file:///fs/cd0/repository2. I have installed QNX in VMware. Any help I will appreciate Thanks in advance Tue, 18 Mar 2008 22:05:12 GMT http://community.qnx.com/sf/go/post5924 romulus romulus 2008-03-18T22:05:12Z post2783: Re: Upgrading to latest dumper http://community.qnx.com/sf/go/post2783 On Tue, Nov 20, 2007 at 08:09:08AM -0500, Preeti Sharma wrote: > Thanks .... > > I have an old view that I wish to update ... so right now I am updating > individual directories/files ....(based upon what dumper uses..) > > Is there a comprehensive way to get a tar of all these files (needed to > compile dumper...) > > > Also are there some other indirect dependencies that I should be > updating ... > > Thanks ..... > > Preeti... You should probably follow the reply in the core-os forum. dumper should build independently of pkgsrc. -seanb Tue, 20 Nov 2007 13:14:16 GMT http://community.qnx.com/sf/go/post2783 Sean Boudreau 2007-11-20T13:14:16Z post2782: Re: Upgrading to latest dumper http://community.qnx.com/sf/go/post2782 Thanks .... I have an old view that I wish to update ... so right now I am updating individual directories/files ....(based upon what dumper uses..) Is there a comprehensive way to get a tar of all these files (needed to compile dumper...) Also are there some other indirect dependencies that I should be updating ... Thanks ..... Preeti... Tue, 20 Nov 2007 13:09:06 GMT http://community.qnx.com/sf/go/post2782 Preeti Sharma 2007-11-20T13:09:06Z post2781: Re: Upgrading to latest dumper http://community.qnx.com/sf/go/post2781 zlib.h is part of the standard development install (as is libz) - it should be in $QNX_TARGET/usr/include/zlib.h Preeti Sharma wrote: > > trying to upgrade to latest dumper > > I am pulling out files from : > > http://community.qnx.com/integration/viewcvs/viewcvs.cgi/trunk/?root=coreos_pub&rev=155162&system=exsy1001 > <http://community.qnx.com/integration/viewcvs/viewcvs.cgi/trunk/?root=coreos_pub&rev=155162&system=exsy1001> > > > to update my view.... > > I cannot find zlib.h . > > Also is there a comprehensive way to do this ... > > Thanks ... > > Preeti. > > > > _______________________________________________ > PkgInfo > http://community.qnx.com/sf/go/post2772 > -- cburgess@qnx.com Tue, 20 Nov 2007 12:18:29 GMT http://community.qnx.com/sf/go/post2781 Colin Burgess(deleted) 2007-11-20T12:18:29Z post2780: Re: Upgrading to latest dumper http://community.qnx.com/sf/go/post2780 zlib.h is part of the package devel/zlib. It will be retrieved during the package build process from the package ftp server, e.g. http://www.gzip.org/zlib/. You'll find this information in the file devel/zlib/Makefile. The pkgsrc repository does not contain "any" source (there are exceptions ;-). $ find . -name 'zlib.h' ./devel/zlib/files/zlib.h ./devel/zlib/work/zlib-1.2.3/zlib.h Tue, 20 Nov 2007 09:49:32 GMT http://community.qnx.com/sf/go/post2780 Christian Leutloff 2007-11-20T09:49:32Z post2772: Upgrading to latest dumper http://community.qnx.com/sf/go/post2772 trying to upgrade to latest dumper I am pulling out files from : http://community.qnx.com/integration/viewcvs/viewcvs.cgi/trunk/?root=coreos_pub&rev=155162&system=exsy1001 to update my view.... I cannot find zlib.h . Also is there a comprehensive way to do this ... Thanks ... Preeti. Tue, 20 Nov 2007 00:08:33 GMT http://community.qnx.com/sf/go/post2772 Preeti Sharma 2007-11-20T00:08:33Z post2031: bulk build try http://community.qnx.com/sf/go/post2031 Hello, After a lot of mistake and retry, I managed to get to the end of a build. Totally 1249 packages turn up in my packages/All. I have updated the "Package Status" page (http://community.qnx.com/sf/wiki/do/viewPage/projects.pkgsrc/wiki/PackageStatus) so you have an idea what is built. I haven't test any of these build, so make sure you test a package if you wish to use it somewhere. Even though I have "-x11" in the main mk.conf, some x11 stuff still somehow get built, and there are packages sees a header, decided to built with X, which causing it failed. That's why some packages I know should built fine (textproc/groff for example) doesn't show up in the list. Have fun. Tue, 16 Oct 2007 17:30:46 GMT http://community.qnx.com/sf/go/post2031 Xiaodan Tang(deleted) 2007-10-16T17:30:46Z post1962: Re: Bootstrap Binary Kit http://community.qnx.com/sf/go/post1962 Using the binary kit on Momentics 6.3.0 SP3 does not work, because fchdir is missing in libc.so.2 => /usr/lib/ldqnx.so.2: # pkg_add bzip2-1.0.4.tgz unknown symbol: fchdir Could not resolve all symbols pkg_add: extract of /tmp/bzip2-1.0.4.tgz failed pkg_add: unable to extract table of contents file from `/tmp/bzip2-1.0.4.tgz' - not a package? pkg_add: 1 package addition failed The same problem (missing fchdir) occurs when bootstrapping the pkgsrc. I have not found an update of /usr/lib/ldqnx.so.2 in the download center. Or is this automatically done when using the ISO with Momentics 6.3.2? Thanks Christian Thu, 11 Oct 2007 18:17:16 GMT http://community.qnx.com/sf/go/post1962 Christian Leutloff 2007-10-11T18:17:16Z post1901: Bootstrap Binary Kit http://community.qnx.com/sf/go/post1901 Hello, I have uploaded the bootstrap binary kit. This is intend for someone just want to download and install binary packages. # cksum bootstrap-pkgsrc-QNX-6.3.2-x86-20071009.tar.gz 377798632 637229 bootstrap-pkgsrc-QNX-6.3.2-x86-20071009.tar.gz Here is the quick guide (will update wiki later): 1) Download the tar.gz file. 2) At your /, do a tar -xzUvf /tmp/bootstrap-pkgsrc-QNX-6.3.2-x86-20071009.tar.gz 3) make sure /usr/pkg/bin:/usr/pkg/sbin is in your PATH. 4) make sure /usr/pkg/lib is in your CS_LIBPATH (modify /etc/rc.d/rc.local) setconf CS_LIBPATH $(getconf CS_LIBPATH):/usr/pkg/lib 5) Download the packages you want from the Project Downloads section. Say "bzip2-1.0.4.tgz". 6) add the package: # pkg_add /tmp/bzip2-1.0.4.tgz Let us know if this works for you or not. Tue, 09 Oct 2007 21:10:28 GMT http://community.qnx.com/sf/go/post1901 Xiaodan Tang(deleted) 2007-10-09T21:10:28Z post1846: Interested in openssh, PyGtk and some other ones http://community.qnx.com/sf/go/post1846 I'm interested in sshd/ssh and python with PyGtk. I'm using ssh for remote access and scripted remote copy. It's located in the package: security/openssh I'm interested in PyGtk to get simple graphical test tools that may be used unchanged on QNX and Windows. The interface to other applications is done with the boost/python bindings for C++. This combination of C++ and Python rocks - especially for easy and flexible testing purposes. I suppose that these are the required packages to be able to use PyGtk: lang/python24 x11/py-gtk2: This package requires the following package(s) to run: [devel/libglade] [graphics/py-cairo] [math/py-Numeric] [devel/py-gobject] [devel/py-gobject] [x11/gtk2] [devel/libglade] [graphics/py-cairo] [math/py-Numeric] This package requires the following package(s) to build: [devel/libtool-base] [devel/gmake] [devel/pkg-config] [pkgtools/x11-links] [devel/py-gobject-shared] [x11/randrproto] [x11/renderproto] [x11/fixesproto] [x11/xextproto] [x11/inputproto] [x11/xproto] These may be helpful for me, too: meta-pkgs/boost wip/isc-dhcpd Mon, 08 Oct 2007 12:22:26 GMT http://community.qnx.com/sf/go/post1846 Christian Leutloff 2007-10-08T12:22:26Z post1789: Re: Binary Packages http://community.qnx.com/sf/go/post1789 Thanks. Everything is all right now. bogdan Wed, 03 Oct 2007 18:03:04 GMT http://community.qnx.com/sf/go/post1789 bogdan celer 2007-10-03T18:03:04Z post1787: Re: Binary Packages http://community.qnx.com/sf/go/post1787 > Following files are damaged: > 700 650 autoconf-2.61.tgz > 551 351 automake-1.10.tgz > 4 594 340 ghostscript-fonts-8.11nb1.tgz > 453 067 gmake-3.81.tgz > 683 068 jasper-1.900.1nb1.tgz > 312 506 jpeg-6bnb4.tgz > 2 021 213 libxml2-2.6.30.tgz > 1 504 536 netpbm-10.34nb1.tgz > 10 894 003 perl-5.8.8nb4.tgz > 308 738 png-1.2.20.tgz > 71 922 psutils-1.17nb2.tgz > 808 603 tiff-3.8.2nb3.tgz > 122 814 unzip-5.52nb3.tgz > 27 201 xmlcatmgr-2.2nb1.tgz > 102 891 zlib-1.2.3.tgz > For example cksum > 2539833414 700650 autoconf-2.61.tgz > 3226609877 551351 automake-1.10.tgz > and > 394135387 10894003 perl-5.8.8nb4.tgz > ! D:\XP2QNX\QNX6.3.2\ZLE\perl-5.8.8nb4.tgz: Read error in the file D:\XP2QNX > \QNX6.3.2\ZLE\perl-5.8.8nb4.tgz > ! D:\XP2QNX\QNX6.3.2\ZLE\perl-5.8.8nb4.tgz: CRC failed in D:\XP2QNX\QNX6.3.2 > \ZLE\perl-5.8.8nb4.tgz. The file is corrupt > ============================== > The same result for remaining files Hmm... I don't know what happened. I have reload those packages, hope they are going to be fine now. And the HEAD.zip cksum is now: # cksum HEAD.zip 4198301377 55234251 HEAD.zip Wed, 03 Oct 2007 17:31:20 GMT http://community.qnx.com/sf/go/post1787 Xiaodan Tang(deleted) 2007-10-03T17:31:20Z post1784: Re: Binary Packages http://community.qnx.com/sf/go/post1784 Following files are damaged: 700 650 autoconf-2.61.tgz 551 351 automake-1.10.tgz 4 594 340 ghostscript-fonts-8.11nb1.tgz 453 067 gmake-3.81.tgz 683 068 jasper-1.900.1nb1.tgz 312 506 jpeg-6bnb4.tgz 2 021 213 libxml2-2.6.30.tgz 1 504 536 netpbm-10.34nb1.tgz 10 894 003 perl-5.8.8nb4.tgz 308 738 png-1.2.20.tgz 71 922 psutils-1.17nb2.tgz 808 603 tiff-3.8.2nb3.tgz 122 814 unzip-5.52nb3.tgz 27 201 xmlcatmgr-2.2nb1.tgz 102 891 zlib-1.2.3.tgz For example cksum 2539833414 700650 autoconf-2.61.tgz 3226609877 551351 automake-1.10.tgz and 394135387 10894003 perl-5.8.8nb4.tgz ! D:\XP2QNX\QNX6.3.2\ZLE\perl-5.8.8nb4.tgz: Read error in the file D:\XP2QNX\QNX6.3.2\ZLE\perl-5.8.8nb4.tgz ! D:\XP2QNX\QNX6.3.2\ZLE\perl-5.8.8nb4.tgz: CRC failed in D:\XP2QNX\QNX6.3.2\ZLE\perl-5.8.8nb4.tgz. The file is corrupt ============================== The same result for remaining files bogdan celer Wed, 03 Oct 2007 16:43:45 GMT http://community.qnx.com/sf/go/post1784 bogdan celer 2007-10-03T16:43:45Z post1704: archives http://community.qnx.com/sf/go/post1704 Here is a list of what build out of the box in the archives directory, next I'll go to the geography. Is this list useful? I build them and only test I did was to start the executable. Archivers/bsdtar Archivers/bunzip Archivers/bzip2 Archivers/cabextract Archivers/dact Archivers/fastjar Archivers/freeze Archivers/gshareutiLS Archivers/gzip-base Archivers/gzrecover Archivers/ha Archivers/jamjar ( build but core dumps on startup) Archivers/lbrate Archivers/lcab Archivers/lha (must agree to license) Archivers/libarchive Archivers/liblzo Archivers/lzma Archivers/lzo Archivers/macutils Archivers/makeself Archivers/mscompress Archivers/nulib2 Archivers/pdbar Archivers/rzip Archivers/squsq Archivers/szip (license) Archivers/unace Archivers/unarg ( license) Archivers/undms Archivers/unlzx Archivers/unrar (license) Archivers/unzip ( same as zip ) Archivers/unzoo Archivers/xbin Archivers/xpk Archivers/zip (license) Sat, 29 Sep 2007 00:31:15 GMT http://community.qnx.com/sf/go/post1704 Mario Charest 2007-09-29T00:31:15Z post1701: Re: Binary Packages http://community.qnx.com/sf/go/post1701 Oh, and the HEAD.zip I just download is: # cksum HEAD.zip 1320652872 55315689 HEAD.zip Fri, 28 Sep 2007 20:49:13 GMT http://community.qnx.com/sf/go/post1701 Xiaodan Tang(deleted) 2007-09-28T20:49:13Z post1700: modular-xorg in progress http://community.qnx.com/sf/go/post1700 I am currently working on the X11 stuff, try to get a minimum modular-org build. And then with XPhoton, we should have a relatively working X11 environment. Then other cool packages depends on X11 could be build, (and hopefully) could run on XPhoton. :) Fri, 28 Sep 2007 20:48:01 GMT http://community.qnx.com/sf/go/post1700 Xiaodan Tang(deleted) 2007-09-28T20:48:01Z post1699: Binary Packages http://community.qnx.com/sf/go/post1699 So far, there are the packages in our "Project Downloads" area, for the HEAD branch (http://community.qnx.com/sf/frs/do/listReleases/projects.pkgsrc/frs.qnx_binary_packages_for_pkgsrc_2) You can click in and pick the one you want, or you can tick the little square next the "HEAD" and click "Download Selected". You get a "HEAD.zip" with all the binary package in it. :) Here's the cksum information. 173107669 697915 autoconf-2.61.tgz 3537592181 549302 automake-1.10.tgz 2573478575 572001 bash-3.2.25.tgz 2988544299 2942 bigreqsproto-1.0.2.tgz 2169872096 335278 bison-2.3.tgz 3095082809 495726 boost-build-1.33.1nb2.tgz 1787960669 8432585 boost-docs-1.33.1.tgz 597932937 61023 boost-jam-1.33.1.tgz 3399487107 77161 bzip2-1.0.4.tgz 589692856 8545 compositeproto-0.4.tgz 2591786297 6722 damageproto-1.1.0.tgz 3066652845 38924 digest-20070803.tgz 3913709805 3725 evieext-1.0.2.tgz 175844415 171658 expat-2.0.1.tgz 4013383728 117349 figlet-2.2.2.tgz 1209839967 5118 fixesproto-4.0.tgz 3369055430 11901 fontsproto-2.0.2.tgz 3533438359 63995 gettext-lib-0.14.6.tgz 2377760399 1548220 gettext-tools-0.14.6.tgz 4052572535 4576711 ghostscript-fonts-8.11nb1.tgz 422128158 451390 gmake-3.81.tgz 2345177524 2854915 groff-1.19.2nb4.tgz 982194818 848038 gtexinfo-4.8nb7.tgz 2114826733 15100 inputproto-1.4.2.1.tgz 2221103915 680587 jasper-1.900.1nb1.tgz 3831405099 548310 jed-0.99.16nb2.tgz 1424402130 311330 jpeg-6bnb4.tgz 3422085879 26188 kbproto-1.0.3.tgz 4178391924 13499 libXau-1.0.3.tgz 2624974464 19818 libXdmcp-1.0.2.tgz 404460521 1347600 libiconv-1.11.tgz 308900175 596927 libslang-1.4.9nb5.tgz 3371972316 538701 libtool-base-1.5.24nb4.tgz 3440444711 2014105 libxml2-2.6.30.tgz 1566196048 175281 m4-1.4.10nb2.tgz 3332258016 11361 mailwrapper-19990412nb4.tgz 2366046126 1245834 ncurses-5.6nb1.tgz 17142937 209527 neon-0.26.3nb1.tgz 2693886926 1499313 netpbm-10.34nb1.tgz 3125777700 1931274 openssl-0.9.7inb4.tgz 4064420101 439464 p7zip-4.55.tgz 210605384 10855206 perl-5.8.8nb4.tgz 271493353 47633 pkg-config-0.21nb1.tgz 1031842778 13998 pkg_install-info-4.5nb3.tgz 334679637 10708 pkgdiff-0.119.tgz 573886984 307586 png-1.2.20.tgz 3048362644 71660 psutils-1.17nb2.tgz 3473510264 21224 randrproto-1.2.1.tgz 100681868 6155 renderproto-0.9.2.tgz 3363804182 2597 resourceproto-1.0.2.tgz 2059762689 4739 scrnsaverproto-1.1.0.tgz 2328796273 1510804 sendmail-8.14.1.tgz 1939966391 2085673 subversion-base-1.4.4nb1.tgz 3183406212 81480 tcp_wrappers-7.6.1nb4.tgz 3629772344 805587 tiff-3.8.2nb3.tgz 2870440026 122344 unzip-5.52nb3.tgz 2109031210 5329622 vim-share-7.1.116.tgz 2339510324 568078 wget-1.10.2nb1.tgz 2647259586 3076 xcmiscproto-1.1.2.tgz 2065899993 40686 xextproto-7.0.2.tgz 2657588897 3123 xf86bigfontproto-1.1.2.tgz 3593157052 27093 xmlcatmgr-2.2nb1.tgz 3169889523 77204 xproto-7.0.10.tgz 3633307905 59268 xtrans-1.0.4.tgz 255180526 102505 zlib-1.2.3.tgz Fri, 28 Sep 2007 20:43:21 GMT http://community.qnx.com/sf/go/post1699 Xiaodan Tang(deleted) 2007-09-28T20:43:21Z post1697: Re: p7zip http://community.qnx.com/sf/go/post1697 On Fri, Sep 28, 2007 at 04:02:28PM -0400, Mario Charest wrote: > Can I get commit privilege ( and I can maybe work in wiki page ?, have > no experience doing that ) I added you. BTW if list 'All projects' from the Foundry27 home page you can select the ones you want to request membership in and the adminstrator will be notified. Regards, -seanb Fri, 28 Sep 2007 20:11:16 GMT http://community.qnx.com/sf/go/post1697 Sean Boudreau 2007-09-28T20:11:16Z post1696: Re: p7zip http://community.qnx.com/sf/go/post1696 On Fri, Sep 28, 2007 at 04:01:31PM -0400, Mario Charest wrote: > I had no change to do, it build right out of the box. If it just builds we'll add it to our build list internally. > > I can understand why you wouldn't want to accept binaries. However I > believe it's a good idea to make binaries easily available (maybe not? > ). Not everyone in the community would be willing to go through this > pkgsrc stuff just to get p7zip for example. > > Sean are you saying that QSS have no plan to make binaries available or > just that you don't want to accept binaries from outsiders? > We have a download section in the project where a bunch are available. This isn't ideal for the 'pkg_add' utility (expects ftp or straight http) but we're working on that. > > > > > _______________________________________________ > PkgInfo > http://community.qnx.com/sf/go/post1694 Fri, 28 Sep 2007 20:09:06 GMT http://community.qnx.com/sf/go/post1696 Sean Boudreau 2007-09-28T20:09:06Z post1695: Re: p7zip http://community.qnx.com/sf/go/post1695 Can I get commit privilege ( and I can maybe work in wiki page ?, have no experience doing that ) Fri, 28 Sep 2007 20:02:27 GMT http://community.qnx.com/sf/go/post1695 Mario Charest 2007-09-28T20:02:27Z post1694: Re: p7zip http://community.qnx.com/sf/go/post1694 I had no change to do, it build right out of the box. I can understand why you wouldn't want to accept binaries. However I believe it's a good idea to make binaries easily available (maybe not? ). Not everyone in the community would be willing to go through this pkgsrc stuff just to get p7zip for example. Sean are you saying that QSS have no plan to make binaries available or just that you don't want to accept binaries from outsiders? Fri, 28 Sep 2007 20:01:30 GMT http://community.qnx.com/sf/go/post1694 Mario Charest 2007-09-28T20:01:30Z post1688: Re: p7zip http://community.qnx.com/sf/go/post1688 On Fri, Sep 28, 2007 at 02:34:36PM -0400, Mario Charest wrote: > > Here is a bin package for p7zip. Lives under archivers. We're kinda hesitant to accept binary packages. Why don't you request membership and I'll give you commit privs :) -seanb Fri, 28 Sep 2007 19:05:26 GMT http://community.qnx.com/sf/go/post1688 Sean Boudreau 2007-09-28T19:05:26Z post1687: p7zip http://community.qnx.com/sf/go/post1687 Here is a bin package for p7zip. Lives under archivers. Fri, 28 Sep 2007 18:34:34 GMT http://community.qnx.com/sf/go/post1687 Mario Charest 2007-09-28T18:34:34Z post1685: Re: What belongs to this forum http://community.qnx.com/sf/go/post1685 > Also if you built a package in pkgsrc, that is not in our "Project Downloads" > area, you can post a link of your package here if you want. In the project Downloads area would it be possible ( or a good idea ) to organized packaged in the same tree structure as pkgsrc. Otherwise I can see this becoming a big mess real fast. - Mario Fri, 28 Sep 2007 17:52:56 GMT http://community.qnx.com/sf/go/post1685 Mario Charest 2007-09-28T17:52:56Z post1611: Re: What belongs to this forum http://community.qnx.com/sf/go/post1611 Not sure we want links to binary packages. More like diffs so we and others can build them ;) -seanb Wed, 26 Sep 2007 14:22:08 GMT http://community.qnx.com/sf/go/post1611 Sean Boudreau 2007-09-26T14:22:08Z post1610: What belongs to this forum http://community.qnx.com/sf/go/post1610 This is intended for package requests. (I want a binary package of xxx); Also if you built a package in pkgsrc, that is not in our "Project Downloads" area, you can post a link of your package here if you want. If you have a patch like to share, feel free to post it here. Wed, 26 Sep 2007 14:19:59 GMT http://community.qnx.com/sf/go/post1610 Xiaodan Tang(deleted) 2007-09-26T14:19:59Z